﻿from ScenarioHelper import *

def main():
    SetCodePage("ms932")

    CreateScenaFile(
        "e2010.bin",                # FileName
        "e2010",                    # MapName
        "e2010",                    # Location
        0x0001,                     # MapIndex
        "ed7000",
        0x00000000,                 # Flags
        ("", "", "", "", "", ""),   # include
        0x00,                       # PlaceNameNumber
        0xFF,                       # PreInitFunctionIndex
        b'\x00\xff\xff',            # Unknown_51

        # Information
        [0, 0, -1000, 0, 0, 0, 24000, 500, 30, 45, 0, 360, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 1],
    )

    BuildStringList((
        "e2010",                  # 0
        "Chief Sergei",           # 1
        "Scenery",                # 2
        "Yuri",                   # 3
        "Sykes",                  # 4
        "Reggie",                 # 5
        "Minneth",                # 6
        "Black Clothes",          # 7
        "Black Clothes",          # 8
    ))

    DeclNpc(0,       0,       0,       0,    453,  0x0, 0,   0,   0,   255, 255, 255, 255, 255,  0)
    DeclNpc(0,       0,       0,       0,    196,  0x0, 0,   0,   0,   255, 255, 255, 255, 255,  0)
    DeclNpc(0,       0,       0,       0,    453,  0x0, 0,   0,   0,   255, 255, 255, 255, 255,  0)
    DeclNpc(0,       0,       0,       0,    453,  0x0, 0,   0,   0,   255, 255, 255, 255, 255,  0)
    DeclNpc(0,       0,       0,       0,    453,  0x0, 0,   0,   0,   255, 255, 255, 255, 255,  0)
    DeclNpc(0,       0,       0,       0,    453,  0x0, 0,   0,   0,   255, 255, 255, 255, 255,  0)
    DeclNpc(0,       0,       0,       0,    453,  0x0, 0,   0,   0,   255, 255, 255, 255, 255,  0)
    DeclNpc(0,       0,       0,       0,    453,  0x0, 0,   0,   0,   255, 255, 255, 255, 255,  0)

    ChipFrameInfo(440, 0)                                        # 0

    ScpFunction((
        "Function_0_1B8",          # 00, 0
        "Function_1_2C1",          # 01, 1
        "Function_2_327",          # 02, 2
        "Function_3_34C",          # 03, 3
        "Function_4_7E1",          # 04, 4
        "Function_5_BF0",          # 05, 5
        "Function_6_121B",         # 06, 6
        "Function_7_195B",         # 07, 7
        "Function_8_2948",         # 08, 8
        "Function_9_35AD",         # 09, 9
        "Function_10_3A3D",        # 0A, 10
        "Function_11_3DFE",        # 0B, 11
        "Function_12_4BDC",        # 0C, 12
        "Function_13_6C21",        # 0D, 13
        "Function_14_6F91",        # 0E, 14
        "Function_15_7136",        # 0F, 15
        "Function_16_726F",        # 10, 16
    ))


    def Function_0_1B8(): pass

    label("Function_0_1B8")

    Jc((scpexpr(EXPR_TEST_SCENA_FLAGS, MakeScenarioFlags(0x22, 0)), scpexpr(EXPR_END)), "loc_1CF")
    ClearScenarioFlags(0x22, 0)
    SetScenarioFlags(0x0, 1)
    Event(0, 3)
    Jump("loc_2C0")

    label("loc_1CF")

    Jc((scpexpr(EXPR_TEST_SCENA_FLAGS, MakeScenarioFlags(0x22, 1)), scpexpr(EXPR_END)), "loc_1E3")
    ClearScenarioFlags(0x22, 1)
    Event(0, 4)
    Jump("loc_2C0")

    label("loc_1E3")

    Jc((scpexpr(EXPR_TEST_SCENA_FLAGS, MakeScenarioFlags(0x22, 2)), scpexpr(EXPR_END)), "loc_1F7")
    ClearScenarioFlags(0x22, 2)
    Event(0, 5)
    Jump("loc_2C0")

    label("loc_1F7")

    Jc((scpexpr(EXPR_TEST_SCENA_FLAGS, MakeScenarioFlags(0x22, 3)), scpexpr(EXPR_END)), "loc_20B")
    ClearScenarioFlags(0x22, 3)
    Event(0, 6)
    Jump("loc_2C0")

    label("loc_20B")

    Jc((scpexpr(EXPR_TEST_SCENA_FLAGS, MakeScenarioFlags(0x22, 4)), scpexpr(EXPR_END)), "loc_21F")
    ClearScenarioFlags(0x22, 4)
    Event(0, 7)
    Jump("loc_2C0")

    label("loc_21F")

    Jc((scpexpr(EXPR_TEST_SCENA_FLAGS, MakeScenarioFlags(0x22, 5)), scpexpr(EXPR_END)), "loc_233")
    ClearScenarioFlags(0x22, 5)
    Event(0, 8)
    Jump("loc_2C0")

    label("loc_233")

    Jc((scpexpr(EXPR_TEST_SCENA_FLAGS, MakeScenarioFlags(0x22, 6)), scpexpr(EXPR_END)), "loc_24A")
    ClearScenarioFlags(0x22, 6)
    SetScenarioFlags(0x0, 2)
    Event(0, 9)
    Jump("loc_2C0")

    label("loc_24A")

    Jc((scpexpr(EXPR_TEST_SCENA_FLAGS, MakeScenarioFlags(0x22, 7)), scpexpr(EXPR_END)), "loc_261")
    ClearScenarioFlags(0x22, 7)
    SetScenarioFlags(0x0, 3)
    Event(0, 10)
    Jump("loc_2C0")

    label("loc_261")

    Jc((scpexpr(EXPR_TEST_SCENA_FLAGS, MakeScenarioFlags(0x23, 0)), scpexpr(EXPR_END)), "loc_275")
    ClearScenarioFlags(0x23, 0)
    Event(0, 11)
    Jump("loc_2C0")

    label("loc_275")

    Jc((scpexpr(EXPR_TEST_SCENA_FLAGS, MakeScenarioFlags(0x23, 1)), scpexpr(EXPR_END)), "loc_289")
    ClearScenarioFlags(0x23, 1)
    Event(0, 12)
    Jump("loc_2C0")

    label("loc_289")

    Jc((scpexpr(EXPR_TEST_SCENA_FLAGS, MakeScenarioFlags(0x23, 3)), scpexpr(EXPR_END)), "loc_29D")
    ClearScenarioFlags(0x23, 3)
    Event(0, 13)
    Jump("loc_2C0")

    label("loc_29D")

    Jc((scpexpr(EXPR_TEST_SCENA_FLAGS, MakeScenarioFlags(0x23, 4)), scpexpr(EXPR_END)), "loc_2B1")
    ClearScenarioFlags(0x23, 4)
    Event(0, 14)
    Jump("loc_2C0")

    label("loc_2B1")

    Jc((scpexpr(EXPR_TEST_SCENA_FLAGS, MakeScenarioFlags(0x23, 6)), scpexpr(EXPR_END)), "loc_2C0")
    ClearScenarioFlags(0x23, 6)
    Event(0, 16)

    label("loc_2C0")

    Return()

    # Function_0_1B8 end

    def Function_1_2C1(): pass

    label("Function_1_2C1")

    Jc((scpexpr(EXPR_TEST_SCENA_FLAGS, MakeScenarioFlags(0x0, 1)), scpexpr(EXPR_END)), "loc_2DB")
    OP_50(0x1, (scpexpr(EXPR_PUSH_LONG, 0x6F), scpexpr(EXPR_STUB), scpexpr(EXPR_END)))
    ClearScenarioFlags(0x0, 1)
    Jump("loc_326")

    label("loc_2DB")

    Jc((scpexpr(EXPR_TEST_SCENA_FLAGS, MakeScenarioFlags(0x0, 2)), scpexpr(EXPR_END)), "loc_2F5")
    OP_50(0x1, (scpexpr(EXPR_PUSH_LONG, 0x97), scpexpr(EXPR_STUB), scpexpr(EXPR_END)))
    ClearScenarioFlags(0x0, 2)
    Jump("loc_326")

    label("loc_2F5")

    Jc((scpexpr(EXPR_TEST_SCENA_FLAGS, MakeScenarioFlags(0x0, 3)), scpexpr(EXPR_END)), "loc_30F")
    OP_50(0x1, (scpexpr(EXPR_PUSH_LONG, 0xCD), scpexpr(EXPR_STUB), scpexpr(EXPR_END)))
    ClearScenarioFlags(0x0, 3)
    Jump("loc_326")

    label("loc_30F")

    Jc((scpexpr(EXPR_TEST_SCENA_FLAGS, MakeScenarioFlags(0x1A5, 4)), scpexpr(EXPR_TEST_SCENA_FLAGS, MakeScenarioFlags(0x1A5, 5)), scpexpr(EXPR_EQUZ), scpexpr(EXPR_NEQUZ_I64), scpexpr(EXPR_END)), "loc_326")
    OP_50(0x1, (scpexpr(EXPR_PUSH_LONG, 0x23D), scpexpr(EXPR_STUB), scpexpr(EXPR_END)))

    label("loc_326")

    Return()

    # Function_1_2C1 end

    def Function_2_327(): pass

    label("Function_2_327")

    Jc((scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_END)), "loc_34B")
    OP_82(0xA, 0xA, 0xBB8, 0x1F4)
    Sleep(500)
    Jump("Function_2_327")

    label("loc_34B")

    Return()

    # Function_2_327 end

    def Function_3_34C(): pass

    label("Function_3_34C")

    EventBegin(0x0)
    FadeToDark(0, 0, -1)
    ClearMapFlags(0x8000000)
    SetMapObjFrame(0xFF, "side01", 0x0, 0x1)
    LoadChrToIndex("chr/ch00002.itc", 0x1E)
    LoadChrToIndex("chr/ch00102.itc", 0x1F)
    LoadChrToIndex("apl/ch51104.itc", 0x20)
    LoadChrToIndex("chr/ch03002.itc", 0x21)
    LoadChrToIndex("chr/ch02502.itc", 0x22)
    SoundLoad(460)
    OP_68(-1110, 500, 3290, 0)
    MoveCamera(323, 22, 0, 0)
    OP_6E(600, 0)
    SetCameraDistance(14280, 0)
    SetChrChipByIndex(0x101, 0x1E)
    SetChrSubChip(0x101, 0x2)
    SetChrChipByIndex(0x102, 0x1F)
    SetChrSubChip(0x102, 0x1)
    SetChrChipByIndex(0x109, 0x20)
    SetChrSubChip(0x109, 0x0)
    SetChrChipByIndex(0x105, 0x21)
    SetChrSubChip(0x105, 0x0)
    SetChrFlags(0x105, 0x4)
    SetChrFlags(0x102, 0x4)
    SetChrFlags(0x109, 0x4)
    SetChrFlags(0x105, 0x4)
    ClearChrFlags(0x101, 0x1)
    ClearChrFlags(0x102, 0x1)
    ClearChrFlags(0x109, 0x1)
    ClearChrFlags(0x105, 0x1)
    SetChrPos(0x101, 1200, 100, -1900, 180)
    SetChrPos(0x102, -900, 100, -400, 180)
    SetChrPos(0x109, -900, 100, -1700, 180)
    SetChrPos(0x105, 1200, 100, -400, 180)
    SetChrPos(0x8, 200, 100, 1000, 180)
    SetChrChipByIndex(0x8, 0x22)
    SetChrSubChip(0x8, 0x0)
    ClearChrFlags(0x8, 0x80)
    SetMapObjFlags(0x0, 0x4)
    SetMapObjFlags(0x1, 0x4)
    SetMapObjFlags(0x2, 0x4)
    ClearMapObjFlags(0x3, 0x4)
    SetMapObjFlags(0x4, 0x4)
    SetMapObjFlags(0x5, 0x4)
    SetMapObjFlags(0x6, 0x4)
    SetMapObjFlags(0x7, 0x4)
    SetMapObjFlags(0x8, 0x4)
    SetMapObjFlags(0x9, 0x4)
    SetMapObjFlags(0xA, 0x4)
    SetMapObjFlags(0xB, 0x4)
    SetMapObjFrame(0xFF, "effect00_add", 0x0, 0x1)
    VolumeBGM(0x3C, 0x3E8)
    FadeToBright(1000, 0)
    OP_68(-570, 500, 500, 3000)
    MoveCamera(323, 22, 0, 3000)
    OP_6E(600, 3000)
    SetCameraDistance(14280, 3000)
    OP_6F(0x79)
    OP_0D()
    Sleep(300)

    #C0001

    ChrTalk(
        0x109,
        (
            "#10109F#11PAhhh... I love that new\x01",
            "car smell.\x02\x03",

            "#10102FAnd the wheel turns like\x01",
            "butter. What an\x01",
            "incredible car!\x02",
        )
    )

    CloseMessageWindow()

    #C0002

    ChrTalk(
        0x105,
        (
            "#10304F#11PThe seats are comfy and\x01",
            "the interior design\x01",
            "isn't bad either.\x02\x03",

            "#10302FHeh, I'm sold.\x02",
        )
    )

    CloseMessageWindow()

    #C0003

    ChrTalk(
        0x101,
        (
            "#00012F#12PIt really does seem like\x01",
            "a good one.\x02\x03",

            "#00002FNot to mention the fact\x01",
            "that it can fit eight\x01",
            "people comfortably.\x02",
        )
    )

    CloseMessageWindow()

    #C0004

    ChrTalk(
        0x102,
        (
            "#00109F#5PEhe. So we'll be fine\x01",
            "even when Tio and Randy\x01",
            "get back.\x02",
        )
    )

    CloseMessageWindow()

    #C0005

    ChrTalk(
        0x8,
        (
            "#01004F#11POk, let's head out.\x02\x03",

            "#01002FLet's save our final\x01",
            "judgments for after this\x01",
            "test drive.\x02",
        )
    )

    CloseMessageWindow()

    #C0006

    ChrTalk(
        0x109,
        (
            "#10100F#11PRight, then I'll start\x01",
            "it up!\x02",
        )
    )

    CloseMessageWindow()
    Sound(470, 0, 100, 0)
    OP_82(0xF, 0x23, 0xBB8, 0x1F4)
    Sleep(500)
    Sound(460, 2, 80, 0)
    BeginChrThread(0x101, 3, 0, 2)
    Sleep(1000)
    FadeToDark(1000, 0, -1)
    OP_0D()
    EndChrThread(0x101, 0x3)
    SetChrChipByIndex(0x101, 0xFF)
    SetChrSubChip(0x101, 0x0)
    SetChrChipByIndex(0x102, 0xFF)
    SetChrSubChip(0x102, 0x0)
    SetChrChipByIndex(0x109, 0xFF)
    SetChrSubChip(0x109, 0x0)
    SetChrChipByIndex(0x105, 0xFF)
    SetChrSubChip(0x105, 0x0)
    ClearChrFlags(0x101, 0x4)
    ClearChrFlags(0x102, 0x4)
    ClearChrFlags(0x109, 0x4)
    ClearChrFlags(0x105, 0x4)
    SetChrFlags(0x101, 0x1)
    SetChrFlags(0x102, 0x1)
    SetChrFlags(0x109, 0x1)
    SetChrFlags(0x105, 0x1)
    StopSound(460, 1000, 80)
    StopBGM(0x7D0)
    WaitBGM()
    Sleep(10)
    VolumeBGM(0x64, 0x64)
    OP_50(0x4C, (scpexpr(EXPR_PUSH_LONG, 0x235), scpexpr(EXPR_STUB), scpexpr(EXPR_END)))
    SetScenarioFlags(0x22, 0)
    NewScene("t6000", 0, 0, 0)
    IdleLoop()
    Return()

    # Function_3_34C end

    def Function_4_7E1(): pass

    label("Function_4_7E1")

    EventBegin(0x0)
    FadeToDark(0, 0, -1)
    SetMapObjFrame(0xFF, "side01", 0x0, 0x1)
    LoadChrToIndex("chr/ch00002.itc", 0x1E)
    LoadChrToIndex("chr/ch00102.itc", 0x1F)
    LoadChrToIndex("apl/ch51104.itc", 0x20)
    LoadChrToIndex("chr/ch03002.itc", 0x21)
    LoadChrToIndex("chr/ch02502.itc", 0x22)
    SoundLoad(460)
    OP_68(-720, 500, 200, 0)
    MoveCamera(323, 22, 0, 0)
    OP_6E(600, 0)
    SetCameraDistance(15500, 0)
    SetChrChipByIndex(0x101, 0x1E)
    SetChrSubChip(0x101, 0x0)
    SetChrChipByIndex(0x102, 0x1F)
    SetChrSubChip(0x102, 0x0)
    SetChrChipByIndex(0x109, 0x20)
    SetChrSubChip(0x109, 0x0)
    SetChrChipByIndex(0x105, 0x21)
    SetChrSubChip(0x105, 0x0)
    SetChrFlags(0x101, 0x4)
    SetChrFlags(0x102, 0x4)
    SetChrFlags(0x109, 0x4)
    SetChrFlags(0x105, 0x4)
    ClearChrFlags(0x101, 0x1)
    ClearChrFlags(0x102, 0x1)
    ClearChrFlags(0x109, 0x1)
    ClearChrFlags(0x105, 0x1)
    SetChrPos(0x101, 1200, 100, -1900, 180)
    SetChrPos(0x102, -900, 100, -400, 180)
    SetChrPos(0x109, -900, 100, -1700, 180)
    SetChrPos(0x105, 1200, 100, -400, 180)
    SetChrPos(0x8, 200, 100, 1000, 180)
    SetChrChipByIndex(0x8, 0x22)
    SetChrSubChip(0x8, 0x0)
    ClearChrFlags(0x8, 0x80)
    SetMapObjFlags(0x0, 0x4)
    SetMapObjFlags(0x1, 0x4)
    ClearMapObjFlags(0x2, 0x4)
    SetMapObjFlags(0x3, 0x4)
    SetMapObjFlags(0x4, 0x4)
    SetMapObjFlags(0x5, 0x4)
    SetMapObjFlags(0x6, 0x4)
    SetMapObjFlags(0x7, 0x4)
    SetMapObjFlags(0x8, 0x4)
    SetMapObjFlags(0x9, 0x4)
    SetMapObjFlags(0xA, 0x4)
    SetMapObjFlags(0xB, 0x4)
    BeginChrThread(0x101, 3, 0, 2)
    Sound(460, 2, 80, 0)
    FadeToBright(1000, 0)
    SetCameraDistance(14500, 2000)
    OP_6F(0x79)
    OP_0D()
    Sleep(300)

    #C0007

    ChrTalk(
        0x109,
        "#10109F#5P~~~~♪\x02",
    )

    CloseMessageWindow()

    #C0008

    ChrTalk(
        0x101,
        "#00002F#12PThis is heavenly.\x02",
    )

    CloseMessageWindow()

    #C0009

    ChrTalk(
        0x102,
        (
            "#00104F#11PAbsolutely. It's quite\x01",
            "fast but it also feels\x01",
            "so safe.\x02\x03",

            "#00102FAnd I can hardly hear\x01",
            "the engine.\x02",
        )
    )

    CloseMessageWindow()

    #C0010

    ChrTalk(
        0x105,
        (
            "#10309F#12PI don't feel many bumps\x01",
            "either.\x02",
        )
    )

    CloseMessageWindow()

    #C0011

    ChrTalk(
        0x8,
        (
            "#01004F#11PThat's ZCF for you.\x02\x03",

            "#01002FI'd like to try taking\x01",
            "her for a spin sometime.\x02",
        )
    )

    CloseMessageWindow()

    #C0012

    ChrTalk(
        0x109,
        (
            "#10108F#5PYeah, I like the CGF's\x01",
            "armored cars too, but...\x02\x03",

            "#10106FIt feels a bit like I'm\x01",
            "being unfaithful to\x01",
            "them...\x02",
        )
    )

    CloseMessageWindow()
    SetChrSubChip(0x101, 0x2)
    Sleep(200)

    #C0013

    ChrTalk(
        0x101,
        "#00012F#12PHaha, is that how it is?\x02",
    )

    CloseMessageWindow()

    #C0014

    ChrTalk(
        0x105,
        (
            "#10302F#12PI guess you're a real\x01",
            "car maniac, aren't you\x01",
            "Noel?\x02",
        )
    )

    CloseMessageWindow()
    FadeToDark(1000, 0, -1)
    OP_0D()
    StopSound(460, 1000, 80)
    Sleep(1000)
    EndChrThread(0x101, 0x3)
    SetChrChipByIndex(0x101, 0xFF)
    SetChrSubChip(0x101, 0x0)
    SetChrChipByIndex(0x102, 0xFF)
    SetChrSubChip(0x102, 0x0)
    SetChrChipByIndex(0x109, 0xFF)
    SetChrSubChip(0x109, 0x0)
    SetChrChipByIndex(0x105, 0xFF)
    SetChrSubChip(0x105, 0x0)
    ClearChrFlags(0x101, 0x4)
    ClearChrFlags(0x102, 0x4)
    ClearChrFlags(0x109, 0x4)
    ClearChrFlags(0x105, 0x4)
    SetChrFlags(0x101, 0x1)
    SetChrFlags(0x102, 0x1)
    SetChrFlags(0x109, 0x1)
    SetChrFlags(0x105, 0x1)
    SetScenarioFlags(0x22, 0)
    NewScene("r4000", 0, 0, 0)
    IdleLoop()
    Return()

    # Function_4_7E1 end

    def Function_5_BF0(): pass

    label("Function_5_BF0")

    EventBegin(0x0)
    FadeToDark(0, 0, -1)
    SetMapObjFrame(0xFF, "side01", 0x0, 0x1)
    LoadChrToIndex("chr/ch00002.itc", 0x1E)
    LoadChrToIndex("chr/ch00102.itc", 0x1F)
    LoadChrToIndex("apl/ch51104.itc", 0x20)
    LoadChrToIndex("chr/ch03002.itc", 0x21)
    LoadChrToIndex("chr/ch02502.itc", 0x22)
    SoundLoad(460)
    OP_68(99290, 600, 1470, 0)
    MoveCamera(323, 22, 0, 0)
    OP_6E(600, 0)
    SetCameraDistance(14280, 0)
    SetChrChipByIndex(0x101, 0x1E)
    SetChrSubChip(0x101, 0x2)
    SetChrChipByIndex(0x102, 0x1F)
    SetChrSubChip(0x102, 0x1)
    SetChrChipByIndex(0x109, 0x20)
    SetChrSubChip(0x109, 0x0)
    SetChrChipByIndex(0x105, 0x21)
    SetChrSubChip(0x105, 0x2)
    SetChrFlags(0x101, 0x4)
    SetChrFlags(0x102, 0x4)
    SetChrFlags(0x109, 0x4)
    SetChrFlags(0x105, 0x4)
    ClearChrFlags(0x101, 0x1)
    ClearChrFlags(0x102, 0x1)
    ClearChrFlags(0x109, 0x1)
    ClearChrFlags(0x105, 0x1)
    SetChrPos(0x101, 98950, 150, 1900, 0)
    SetChrPos(0x102, 101000, 150, 250, 0)
    SetChrPos(0x109, 101000, 150, 1800, 0)
    SetChrPos(0x105, 98950, 150, 250, 0)
    SetChrChipByIndex(0x8, 0x22)
    SetChrSubChip(0x8, 0x0)
    ClearChrFlags(0x8, 0x80)
    SetChrPos(0x8, 300, 100, 1100, 180)
    SetChrPos(0x8, 100000, 150, -1350, 0)
    OP_7D(0xFF, 0xD2, 0xC8, 0x0, 0x0)
    SetMapObjFlags(0x0, 0x4)
    SetMapObjFlags(0x1, 0x4)
    SetMapObjFlags(0x2, 0x4)
    SetMapObjFlags(0x3, 0x4)
    SetMapObjFlags(0x4, 0x4)
    ClearMapObjFlags(0x5, 0x4)
    SetMapObjFlags(0x6, 0x4)
    SetMapObjFlags(0x7, 0x4)
    SetMapObjFlags(0x8, 0x4)
    SetMapObjFlags(0x9, 0x4)
    SetMapObjFlags(0xA, 0x4)
    SetMapObjFlags(0xB, 0x4)
    BeginChrThread(0x101, 3, 0, 2)
    Sound(460, 2, 80, 0)
    FadeToBright(1000, 0)
    SetCameraDistance(13280, 2000)
    OP_6F(0x79)
    OP_0D()
    Sleep(300)
    Sleep(300)

    #C0015

    ChrTalk(
        0x8,
        (
            "#01003F#6P─A red-haired man with\x01",
            "one eye...\x02",
        )
    )

    CloseMessageWindow()

    #C0016

    ChrTalk(
        0x101,
        (
            "#00008F#5PYeah... We've already\x01",
            "contacted Section One.\x02",
        )
    )

    CloseMessageWindow()

    #C0017

    ChrTalk(
        0x105,
        (
            "#10306F#5PWe have no idea who he\x01",
            "is, but he's definitely\x01",
            "not an ordinary guy.\x02\x03",

            "#10301FI get the feeling that\x01",
            "he's even stronger than\x01",
            "what he let us see.\x02",
        )
    )

    CloseMessageWindow()

    #C0018

    ChrTalk(
        0x8,
        (
            "#01001F#6PTherein lies the problem.\x02\x03",

            "#01003FTerrorists and jaegers tend to\x01",
            "hide their own battle strength.\x02\x03",

            "#01000FEven if we come across them in\x01",
            "Crossbell directly, we don't have\x01",
            "any laws to investigate them.\x02",
        )
    )

    CloseMessageWindow()

    #C0019

    ChrTalk(
        0x109,
        "#10108F#5PRight...\x02",
    )

    CloseMessageWindow()

    #C0020

    ChrTalk(
        0x102,
        (
            "#00106F#12PNot to mention the strange\x01",
            "behavior we've seen in Heiyue and\x01",
            "the Imperial government.\x02\x03",

            "#00101FFrom the shadows, something seems\x01",
            "to be starting in the void created\x01",
            "by the disappearance of Revache.\x02",
        )
    )

    CloseMessageWindow()

    #C0021

    ChrTalk(
        0x8,
        (
            "#01006F#6PFrom the shadows might\x01",
            "be a bit too blunt.\x02\x03",

            "#01000FAnd there's that trade\x01",
            "conference at the end of\x01",
            "the month.\x02\x03",

            "You guys are about to\x01",
            "get really busy.\x02",
        )
    )

    CloseMessageWindow()

    #C0022

    ChrTalk(
        0x101,
        (
            "#00003F#5PYes, we know.\x02\x03",

            "#00001FBut for now, I think it's\x01",
            "imperative we look into\x01",
            "that guy's background.\x02",
        )
    )

    CloseMessageWindow()

    #C0023

    ChrTalk(
        0x102,
        (
            "#00108F#12PYeah... I wonder where\x01",
            "he's staying.\x02",
        )
    )

    CloseMessageWindow()
    FadeToDark(1000, 0, -1)
    SetCameraDistance(12780, 2000)
    OP_6F(0x79)
    OP_0D()
    StopSound(460, 1000, 80)
    Sleep(1000)
    EndChrThread(0x101, 0x3)
    SetChrChipByIndex(0x101, 0xFF)
    SetChrSubChip(0x101, 0x0)
    SetChrChipByIndex(0x102, 0xFF)
    SetChrSubChip(0x102, 0x0)
    SetChrChipByIndex(0x109, 0xFF)
    SetChrSubChip(0x109, 0x0)
    SetChrChipByIndex(0x105, 0xFF)
    SetChrSubChip(0x105, 0x0)
    ClearChrFlags(0x101, 0x4)
    ClearChrFlags(0x102, 0x4)
    ClearChrFlags(0x109, 0x4)
    ClearChrFlags(0x105, 0x4)
    SetChrFlags(0x101, 0x1)
    SetChrFlags(0x102, 0x1)
    SetChrFlags(0x109, 0x1)
    SetChrFlags(0x105, 0x1)
    SetScenarioFlags(0x22, 0)
    NewScene("r1000", 0, 0, 0)
    IdleLoop()
    Return()

    # Function_5_BF0 end

    def Function_6_121B(): pass

    label("Function_6_121B")

    EventBegin(0x0)
    FadeToDark(0, 0, -1)
    SetMapObjFrame(0xFF, "side01", 0x0, 0x1)
    LoadChrToIndex("chr/ch00002.itc", 0x1E)
    LoadChrToIndex("chr/ch00102.itc", 0x1F)
    LoadChrToIndex("apl/ch51104.itc", 0x20)
    LoadChrToIndex("chr/ch03002.itc", 0x21)
    LoadChrToIndex("chr/ch00302.itc", 0x22)
    SoundLoad(460)
    OP_7D(0xFF, 0xBE, 0xB4, 0x0, 0x0)
    OP_11(0xCC, 0x8F, 0x85, 0x0, 0xE6, 0x0)
    OP_68(-720, 500, 200, 0)
    MoveCamera(323, 22, 0, 0)
    OP_6E(600, 0)
    SetCameraDistance(15500, 0)
    SetChrChipByIndex(0x101, 0x1E)
    SetChrSubChip(0x101, 0x0)
    SetChrChipByIndex(0x102, 0x1F)
    SetChrSubChip(0x102, 0x0)
    SetChrChipByIndex(0x109, 0x20)
    SetChrSubChip(0x109, 0x0)
    SetChrChipByIndex(0x105, 0x21)
    SetChrSubChip(0x105, 0x0)
    SetChrChipByIndex(0x104, 0x22)
    SetChrSubChip(0x104, 0x0)
    SetChrFlags(0x101, 0x4)
    SetChrFlags(0x102, 0x4)
    SetChrFlags(0x109, 0x4)
    SetChrFlags(0x105, 0x4)
    SetChrFlags(0x104, 0x4)
    SetChrPos(0x102, 1200, 100, -1900, 180)
    SetChrPos(0x101, -900, 100, -400, 180)
    SetChrPos(0x109, -900, 100, -1700, 180)
    SetChrPos(0x104, 1200, 100, -400, 180)
    SetChrPos(0x105, 0, 100, 1000, 180)
    ClearChrFlags(0x4, 0x80)
    ClearChrBattleFlags(0x4, 0x8000)
    SetMapObjFlags(0x0, 0x4)
    SetMapObjFlags(0x1, 0x4)
    SetMapObjFlags(0x2, 0x4)
    SetMapObjFlags(0x4, 0x4)
    SetMapObjFlags(0x5, 0x4)
    ClearMapObjFlags(0x6, 0x4)
    SetMapObjFlags(0x7, 0x4)
    SetMapObjFlags(0x8, 0x4)
    SetMapObjFlags(0x9, 0x4)
    SetMapObjFlags(0xA, 0x4)
    SetMapObjFlags(0x3, 0x4)
    SetMapObjFlags(0xB, 0x4)
    BeginChrThread(0x101, 3, 0, 2)
    Sound(460, 2, 80, 0)
    FadeToBright(1000, 0)
    SetCameraDistance(14500, 2000)
    OP_6F(0x79)
    OP_0D()
    Sound(2367, 255, 80, 0)
    Sleep(1000)
    Jc((scpexpr(EXPR_TEST_SCENA_FLAGS, MakeScenarioFlags(0x12B, 4)), scpexpr(EXPR_END)), "loc_144D")

    #C0024

    ChrTalk(
        0x104,
        (
            "#00309F#11PI thought this on the\x01",
            "way here too, but what a\x01",
            "great car!\x02\x03",

            "#00302FDon't you think I'd be a\x01",
            "real lady killer if this\x01",
            "was my car?\x02",
        )
    )

    CloseMessageWindow()
    Jump("loc_14BC")

    label("loc_144D")


    #C0025

    ChrTalk(
        0x104,
        (
            "#00309F#11PStill, what a great car!\x02\x03",

            "#00302FDon't you think I'd be a\x01",
            "real lady killer if this\x01",
            "was my car?\x02",
        )
    )

    CloseMessageWindow()

    label("loc_14BC")

    SetChrSubChip(0x101, 0x1)
    Sleep(300)

    #C0026

    ChrTalk(
        0x101,
        "#00012F#5PWhoa there, cowboy...\x02",
    )

    CloseMessageWindow()
    SetChrSubChip(0x105, 0x1)
    Sleep(300)

    #C0027

    ChrTalk(
        0x105,
        (
            "#10302F#5PHehe, you still have a\x01",
            "lot to learn from me in\x01",
            "that regard.\x02",
        )
    )

    CloseMessageWindow()
    SetChrSubChip(0x104, 0x2)
    Sleep(300)

    #C0028

    ChrTalk(
        0x104,
        (
            "#00301F#11PTch. Acting so arrogant\x01",
            "even though you're\x01",
            "younger.\x02",
        )
    )

    CloseMessageWindow()
    SetChrSubChip(0x102, 0x2)
    Sleep(300)

    #C0029

    ChrTalk(
        0x102,
        (
            "#00109F#6PHaha.... Things aren't\x01",
            "looking good for you in\x01",
            "that regard, are they.\x02",
        )
    )

    CloseMessageWindow()

    #C0030

    ChrTalk(
        0x109,
        (
            "#10102F#5PCompared to Wazy, Randy\x01",
            "doesn't even come close when\x01",
            "it comes to the ladies.\x02",
        )
    )

    CloseMessageWindow()

    #C0031

    ChrTalk(
        0x104,
        (
            "#00305F#11PCome on, Noel! We're from\x01",
            "the same Guardian Force,\x01",
            "have some loyalty!\x02",
        )
    )

    CloseMessageWindow()

    #C0032

    ChrTalk(
        0x109,
        "#10112F#5PHaha, my apologies.\x02",
    )

    CloseMessageWindow()
    Jc((scpexpr(EXPR_TEST_SCENA_FLAGS, MakeScenarioFlags(0x12B, 4)), scpexpr(EXPR_END)), "loc_18A0")

    #C0033

    ChrTalk(
        0x101,
        (
            "#00005F#5POh yeah, Randy.\x02\x03",

            "#00000FYou received a spare key\x01",
            "from chief, right?\x02",
        )
    )

    CloseMessageWindow()

    #C0034

    ChrTalk(
        0x102,
        (
            "#00100F#6PWhen did you learn how\x01",
            "to operate an orbal car?\x02",
        )
    )

    CloseMessageWindow()

    #C0035

    ChrTalk(
        0x104,
        (
            "#00304F#11POh, it was during my\x01",
            "recent training.\x02\x03",

            "#00300FYou should all learn\x01",
            "too. It's a useful skill\x01",
            "to have, you know.\x02",
        )
    )

    CloseMessageWindow()

    #C0036

    ChrTalk(
        0x101,
        "#00002F#5PHaha. That's true.\x02",
    )

    CloseMessageWindow()

    #C0037

    ChrTalk(
        0x102,
        (
            "#00104F#6PThere's no downside to\x01",
            "learning. We might find\x01",
            "it handy in the future.\x02",
        )
    )

    CloseMessageWindow()

    #C0038

    ChrTalk(
        0x105,
        (
            "#10306F#5PHmm, if given the choice,\x01",
            "I'd prefer to be driven\x01",
            "than to learn, though.\x02",
        )
    )

    CloseMessageWindow()

    label("loc_18A0")

    Sleep(150)
    OP_63(0x109, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(1000)

    #C0039

    ChrTalk(
        0x109,
        "#10101F#11PAh...\x02",
    )

    CloseMessageWindow()
    SetChrSubChip(0x101, 0x0)
    Sleep(50)
    SetChrSubChip(0x102, 0x0)
    Sleep(50)
    SetChrSubChip(0x105, 0x0)
    Sleep(50)
    SetChrSubChip(0x104, 0x0)
    Sleep(300)
    SetCameraDistance(15000, 1000)
    FadeToDark(1000, 0, -1)
    OP_0D()
    StopSound(460, 1000, 80)
    Sleep(1000)
    SetChrChipByIndex(0x101, 0xFF)
    SetChrSubChip(0x101, 0x0)
    SetChrChipByIndex(0x102, 0xFF)
    SetChrSubChip(0x102, 0x0)
    SetChrChipByIndex(0x109, 0xFF)
    SetChrSubChip(0x109, 0x0)
    SetChrChipByIndex(0x105, 0xFF)
    SetChrSubChip(0x105, 0x0)
    SetChrChipByIndex(0x104, 0xFF)
    SetChrSubChip(0x104, 0x0)
    ClearChrFlags(0x101, 0x4)
    ClearChrFlags(0x102, 0x4)
    ClearChrFlags(0x109, 0x4)
    ClearChrFlags(0x105, 0x4)
    ClearChrFlags(0x104, 0x4)
    SetScenarioFlags(0x22, 2)
    NewScene("r2060", 0, 0, 0)
    IdleLoop()
    Return()

    # Function_6_121B end

    def Function_7_195B(): pass

    label("Function_7_195B")

    EventBegin(0x0)
    FadeToDark(0, 0, -1)
    SetMapObjFrame(0xFF, "side01", 0x0, 0x1)
    LoadChrToIndex("chr/ch00002.itc", 0x1E)
    LoadChrToIndex("chr/ch00102.itc", 0x1F)
    LoadChrToIndex("apl/ch51104.itc", 0x20)
    LoadChrToIndex("chr/ch03002.itc", 0x21)
    LoadChrToIndex("chr/ch00302.itc", 0x22)
    SoundLoad(460)
    OP_7D(0xFF, 0xBE, 0xB4, 0x0, 0x0)
    OP_11(0xCC, 0x8F, 0x85, 0x0, 0xE6, 0x0)
    OP_68(150500, 700, 250, 0)
    MoveCamera(307, 22, 0, 0)
    OP_6E(600, 0)
    SetCameraDistance(14270, 0)
    SetChrChipByIndex(0x101, 0x1E)
    SetChrSubChip(0x101, 0x0)
    SetChrChipByIndex(0x102, 0x1F)
    SetChrSubChip(0x102, 0x0)
    SetChrChipByIndex(0x109, 0x20)
    SetChrSubChip(0x109, 0x0)
    SetChrChipByIndex(0x105, 0x21)
    SetChrSubChip(0x105, 0x0)
    SetChrChipByIndex(0x104, 0x22)
    SetChrSubChip(0x104, 0x0)
    SetChrFlags(0x101, 0x4)
    SetChrFlags(0x102, 0x4)
    SetChrFlags(0x109, 0x4)
    SetChrFlags(0x105, 0x4)
    SetChrFlags(0x104, 0x4)
    SetChrPos(0x101, 150400, 100, -1100, 90)
    SetChrPos(0x102, 151900, 100, 900, 90)
    SetChrPos(0x109, 151900, 100, -1100, 90)
    SetChrPos(0x105, 148800, 100, -100, 90)
    SetChrPos(0x104, 150400, 100, 900, 90)
    ClearChrFlags(0x4, 0x80)
    ClearChrBattleFlags(0x4, 0x8000)
    SetMapObjFlags(0x0, 0x4)
    SetMapObjFlags(0x1, 0x4)
    SetMapObjFlags(0x2, 0x4)
    SetMapObjFlags(0x4, 0x4)
    SetMapObjFlags(0x5, 0x4)
    SetMapObjFlags(0x6, 0x4)
    ClearMapObjFlags(0x7, 0x4)
    SetMapObjFlags(0x8, 0x4)
    SetMapObjFlags(0x9, 0x4)
    SetMapObjFlags(0xA, 0x4)
    SetMapObjFlags(0x3, 0x4)
    SetMapObjFlags(0xB, 0x4)
    BeginChrThread(0x101, 3, 0, 2)
    Sound(460, 2, 80, 0)
    SetCameraDistance(13770, 1000)
    FadeToBright(1000, 0)
    OP_0D()

    #C0040

    ChrTalk(
        0x101,
        (
            "#00008F#5P...Who was behind that,\x01",
            "I wonder?\x02",
        )
    )

    CloseMessageWindow()

    #C0041

    ChrTalk(
        0x102,
        (
            "#00106F#11PI think it would be\x01",
            "quite strange if they\x01",
            "had no clear motive.\x02",
        )
    )

    CloseMessageWindow()

    #C0042

    ChrTalk(
        0x109,
        (
            "#10108F#6PThat bomb too... Where\x01",
            "did they get it?\x02\x03",

            "It's a type hardly ever\x01",
            "used by the Guardian\x01",
            "Force.\x02",
        )
    )

    CloseMessageWindow()

    #C0043

    ChrTalk(
        0x105,
        (
            "#10306F#5PYou don't think it was a blasting\x01",
            "charge left in the old mine?\x02\x03",

            "#10300FWell, I don't have much knowledge\x01",
            "on explosives, so I can only\x01",
            "guess at what it could be.\x02",
        )
    )

    CloseMessageWindow()

    #C0044

    ChrTalk(
        0x104,
        "#00303F#5PNo, that's not it.\x02",
    )

    CloseMessageWindow()
    OP_63(0x101, 0x0, 1700, 0x26, 0x26, 0xFA, 0x1)
    OP_63(0x102, 0x0, 1700, 0x26, 0x26, 0xFA, 0x1)
    OP_63(0x109, 0x0, 1700, 0x26, 0x26, 0xFA, 0x1)
    OP_63(0x105, 0x0, 1700, 0x26, 0x26, 0xFA, 0x1)
    Sleep(1000)
    SetChrSubChip(0x101, 0x1)
    Sleep(50)
    SetChrSubChip(0x102, 0x2)
    Sleep(50)
    SetChrSubChip(0x105, 0x1)
    Sleep(300)

    #C0045

    ChrTalk(
        0x105,
        "#10305F#5PHuh?\x02",
    )

    CloseMessageWindow()

    #C0046

    ChrTalk(
        0x102,
        "#00105F#12PDo you know something?\x02",
    )

    CloseMessageWindow()
    SetChrSubChip(0x104, 0x2)
    Sleep(300)

    #C0047

    ChrTalk(
        0x104,
        (
            "#00301F#11PBased on the smell of\x01",
            "the gunpowder smoke near\x01",
            "the entrance...\x02\x03",

            "I'd say it was from a\x01",
            "new model explosive\x01",
            "developed 1-2 years ago.\x02\x03",

            "And a rather high-yield\x01",
            "one at that.\x02",
        )
    )

    CloseMessageWindow()

    #C0048

    ChrTalk(
        0x101,
        "#00001F#6PI-Is that so...\x02",
    )

    CloseMessageWindow()

    #C0049

    ChrTalk(
        0x109,
        (
            "#10105F#6PBut, I'm surprised you\x01",
            "know that.\x02",
        )
    )

    CloseMessageWindow()

    #C0050

    ChrTalk(
        0x104,
        (
            "#00300F#11PIt's not like gunpowder-\x01",
            "based weapons are completely\x01",
            "obsolete.\x02\x03",

            "Though the regular army\x01",
            "doesn't often use them, even\x01",
            "now, some people prefer 'em.\x02\x03",

            "#00303F...Especially jaegers.\x02",
        )
    )

    CloseMessageWindow()
    OP_63(0x101, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(50)
    OP_63(0x102, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(50)
    OP_63(0x109, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(50)
    OP_63(0x105, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(1000)

    #C0051

    ChrTalk(
        0x101,
        "#00013F#6PCould it be...\x02",
    )

    CloseMessageWindow()

    #C0052

    ChrTalk(
        0x102,
        "#00101F#12PS-So then...\x02",
    )

    CloseMessageWindow()

    #C0053

    ChrTalk(
        0x104,
        (
            "#00306F#11PWell, I'm just talkin'\x01",
            "hypothetically, of course.\x02\x03",

            "#00300FBy the way, Erebonia is the\x01",
            "biggest user of gunpowder\x01",
            "weapons right now.\x02\x03",

            "Even now they have a large\x01",
            "stock of old Reinford\x01",
            "models.\x02",
        )
    )

    CloseMessageWindow()

    #C0054

    ChrTalk(
        0x109,
        "#10101F#6PIs that so...\x02",
    )

    CloseMessageWindow()

    #C0055

    ChrTalk(
        0x105,
        (
            "#10302F#5PHaha, you really do know\x01",
            "a lot about weapons.\x02\x03",

            "#10303FBut Erebonia huh... It's\x01",
            "just one coincidence\x01",
            "after the next.\x02",
        )
    )

    CloseMessageWindow()

    #C0056

    ChrTalk(
        0x101,
        (
            "#00008F#6PYeah... There was also\x01",
            "what happened yesterday.\x02",
        )
    )

    CloseMessageWindow()

    #C0057

    ChrTalk(
        0x104,
        (
            "#00305F#11PWhat, something\x01",
            "happened?\x02",
        )
    )

    CloseMessageWindow()

    #C0058

    ChrTalk(
        0x102,
        "#00108F#12PYes, actually─\x02",
    )

    CloseMessageWindow()
    FadeToDark(300, 0, 100)
    SetChrName("")

    #A0059

    AnonymousTalk(
        0xFF,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x5),
            "Elie explained about the event with Lechter.\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    FadeToBright(300, 0)
    Sleep(300)

    #C0060

    ChrTalk(
        0x104,
        (
            "#00301F#11P─So that guy's an\x01",
            "Erebonian spy, huh?\x02\x03",

            "Though I always knew he\x01",
            "wasn't just your regular\x01",
            "guy.\x02",
        )
    )

    CloseMessageWindow()

    #C0061

    ChrTalk(
        0x101,
        (
            "#00003F#6PRather than a spy, he's more\x01",
            "of an intelligence officer.\x02\x03",

            "He might just be here to\x01",
            "scope out the city before\x01",
            "the trade conference, but...\x02\x03",

            "#00008F...That red haired girl with\x01",
            "him also concerns me...\x02",
        )
    )

    CloseMessageWindow()

    #C0062

    ChrTalk(
        0x102,
        "#00106F#12P...*sigh*, that girl...\x02",
    )

    CloseMessageWindow()

    #C0063

    ChrTalk(
        0x105,
        (
            "#10309F#5PHehe, looks like that\x01",
            "hit you pretty hard.\x02",
        )
    )

    CloseMessageWindow()

    #C0064

    ChrTalk(
        0x104,
        (
            "#00302F#11PWhat happened? Is there\x01",
            "a juicy story?\x02",
        )
    )

    CloseMessageWindow()

    #C0065

    ChrTalk(
        0x109,
        "#10112F#6PUmm, well...\x02",
    )

    CloseMessageWindow()
    FadeToDark(300, 0, 100)
    SetChrName("")

    #A0066

    AnonymousTalk(
        0xFF,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x5),
            "Noel explained about the redheaded girl with Lechter.\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    FadeToBright(300, 0)
    Sleep(300)

    #C0067

    ChrTalk(
        0x104,
        (
            "#00305F#11P...Wow...\x02\x03",

            "...............\x02",
        )
    )

    CloseMessageWindow()

    #C0068

    ChrTalk(
        0x102,
        (
            "#00112F#12PL-Let's stop talking about\x01",
            "that girl.\x02\x03",

            "#00113FSeriously... I feel like I\x01",
            "understand how Rixia feels\x01",
            "when she's with Ilya.\x02",
        )
    )

    CloseMessageWindow()

    #C0069

    ChrTalk(
        0x101,
        (
            "#00012F#6PAhaha, she can be really\x01",
            "persuasive.\x02\x03",

            "#00008FBut, it seems like she\x01",
            "might come into play\x01",
            "soon.\x02\x03",

            "#00001FShe's definitely not\x01",
            "just an ordinary\x01",
            "civilian.\x02",
        )
    )

    CloseMessageWindow()

    #C0070

    ChrTalk(
        0x109,
        (
            "#10106F#6PThat reminds me... That man we\x01",
            "met on West Crossbell Highway\x01",
            "was from Erebonia too.\x02\x03",

            "#10105FAh, and he had red hair as\x01",
            "well.\x02",
        )
    )

    CloseMessageWindow()
    SetChrSubChip(0x105, 0x0)
    Sleep(50)
    SetChrSubChip(0x101, 0x0)
    Sleep(200)

    #C0071

    ChrTalk(
        0x105,
        (
            "#10305F#5PYeah, now that you\x01",
            "mention it...\x02",
        )
    )

    CloseMessageWindow()

    #C0072

    ChrTalk(
        0x101,
        (
            "#00003F#5PCaptain Lechter's hair color\x01",
            "was a slightly different tint,\x01",
            "but...\x02\x03",

            "#00001FThinking about it again, that\x01",
            "girl's hair color was identical\x01",
            "to the one-eyed man's.\x02",
        )
    )

    CloseMessageWindow()
    OP_63(0x101, 0x0, 1700, 0x26, 0x26, 0xFA, 0x1)
    OP_63(0x102, 0x0, 1700, 0x26, 0x26, 0xFA, 0x1)
    OP_63(0x109, 0x0, 1700, 0x26, 0x26, 0xFA, 0x1)
    OP_63(0x105, 0x0, 1700, 0x26, 0x26, 0xFA, 0x1)
    Sleep(1000)
    SetChrSubChip(0x101, 0x1)
    Sleep(50)
    SetChrSubChip(0x105, 0x1)
    Sleep(300)

    #C0073

    ChrTalk(
        0x101,
        "#00011F#6PHuh...\x02",
    )

    CloseMessageWindow()

    #C0074

    ChrTalk(
        0x102,
        "#00108F#12PC-Could it be...\x02",
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    StopBGM(0x1770)
    OP_50(0x4C, (scpexpr(EXPR_PUSH_LONG, 0xFFFF), scpexpr(EXPR_STUB), scpexpr(EXPR_END)))
    #Sound(2374, 255, 100, 0)

    #C0075

    ChrTalk(
        0x104,
        (
            "#00304F#11P#30WHaha...\x02\x03",

            "#00311F#30W─Basically, my red hair\x01",
            "looks like theirs?\x02",
        )
    )

    CloseMessageWindow()

    #C0076

    ChrTalk(
        0x109,
        "#10111F#6PAh...\x02",
    )

    CloseMessageWindow()

    #C0077

    ChrTalk(
        0x105,
        (
            "#10301F#5P...You think it might be\x01",
            "some kind of clue?\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    Sleep(100)
    SetChrSubChip(0x104, 0x0)
    Sleep(200)
    Sound(2375, 255, 100, 0)
    Sleep(1300)

    #C0078

    ChrTalk(
        0x104,
        (
            "#00304F#5P#40W...You got me.\x02\x03",

            "#00312F#40W─Looks like it finally\x01",
            "came to this.\x02",
        )
    )

    CloseMessageWindow()
    SetCameraDistance(13520, 1000)
    FadeToDark(1000, 0, -1)
    OP_0D()
    StopSound(460, 1000, 80)
    Sleep(1000)
    SetChrChipByIndex(0x101, 0xFF)
    SetChrSubChip(0x101, 0x0)
    SetChrChipByIndex(0x102, 0xFF)
    SetChrSubChip(0x102, 0x0)
    SetChrChipByIndex(0x109, 0xFF)
    SetChrSubChip(0x109, 0x0)
    SetChrChipByIndex(0x105, 0xFF)
    SetChrSubChip(0x105, 0x0)
    SetChrChipByIndex(0x104, 0xFF)
    SetChrSubChip(0x104, 0x0)
    ClearChrFlags(0x101, 0x4)
    ClearChrFlags(0x102, 0x4)
    ClearChrFlags(0x109, 0x4)
    ClearChrFlags(0x105, 0x4)
    ClearChrFlags(0x104, 0x4)
    WaitBGM()
    OP_50(0x4C, (scpexpr(EXPR_PUSH_LONG, 0x0), scpexpr(EXPR_STUB), scpexpr(EXPR_END)))
    SetScenarioFlags(0x22, 3)
    NewScene("r2060", 0, 0, 0)
    IdleLoop()
    Return()

    # Function_7_195B end

    def Function_8_2948(): pass

    label("Function_8_2948")

    EventBegin(0x0)
    FadeToDark(0, 0, -1)
    OP_7D(0xBE, 0xBE, 0xBE, 0x0, 0x0)
    LoadChrToIndex("chr/ch00002.itc", 0x1E)
    LoadChrToIndex("chr/ch00102.itc", 0x1F)
    LoadChrToIndex("apl/ch51104.itc", 0x20)
    LoadChrToIndex("chr/ch03002.itc", 0x21)
    LoadChrToIndex("chr/ch00302.itc", 0x22)
    LoadChrToIndex("apl/ch50011.itc", 0x23)
    SoundLoad(460)
    SoundLoad(803)
    SoundLoad(3451)
    CreatePortrait(0, 180, 0, 436, 256, 0, 0, 256, 256, 0, 0, 256, 256, 0xFFFFFF, 0x0, "c_vis007.itp")
    OP_68(150500, 700, 250, 0)
    MoveCamera(307, 22, 0, 0)
    OP_6E(600, 0)
    SetCameraDistance(14270, 0)
    SetChrChipByIndex(0x101, 0x1E)
    SetChrSubChip(0x101, 0x0)
    SetChrChipByIndex(0x102, 0x1F)
    SetChrSubChip(0x102, 0x0)
    SetChrChipByIndex(0x109, 0x20)
    SetChrSubChip(0x109, 0x0)
    SetChrChipByIndex(0x105, 0x21)
    SetChrSubChip(0x105, 0x0)
    SetChrChipByIndex(0x104, 0x22)
    SetChrSubChip(0x104, 0x0)
    SetChrFlags(0x101, 0x4)
    SetChrFlags(0x102, 0x4)
    SetChrFlags(0x109, 0x4)
    SetChrFlags(0x105, 0x4)
    SetChrFlags(0x104, 0x4)
    SetChrPos(0x101, 150400, 100, -1100, 90)
    SetChrPos(0x102, 151900, 100, 900, 90)
    SetChrPos(0x109, 151900, 100, -1100, 90)
    SetChrPos(0x105, 148800, 100, -100, 90)
    SetChrPos(0x104, 150400, 100, 900, 90)
    ClearChrFlags(0x4, 0x80)
    ClearChrBattleFlags(0x4, 0x8000)
    SetMapObjFlags(0x0, 0x4)
    SetMapObjFlags(0x1, 0x4)
    SetMapObjFlags(0x2, 0x4)
    SetMapObjFlags(0x4, 0x4)
    SetMapObjFlags(0x5, 0x4)
    SetMapObjFlags(0x6, 0x4)
    SetMapObjFlags(0x7, 0x4)
    SetMapObjFlags(0x8, 0x4)
    ClearMapObjFlags(0x9, 0x4)
    SetMapObjFlags(0xA, 0x4)
    SetMapObjFlags(0x3, 0x4)
    SetMapObjFlags(0xB, 0x4)
    BeginChrThread(0x101, 3, 0, 2)
    PlayBGM("ed7516", 0)
    OP_50(0x4C, (scpexpr(EXPR_PUSH_LONG, 0x204), scpexpr(EXPR_STUB), scpexpr(EXPR_END)))
    Sound(460, 2, 80, 0)
    FadeToBright(1000, 0)
    SetCameraDistance(13770, 1000)
    OP_0D()
    SetChrSubChip(0x101, 0x1)
    Sleep(300)

    #C0079

    ChrTalk(
        0x101,
        "#00001F#6PHey, Randy─\x02",
    )

    CloseMessageWindow()
    Sound(803, 2, 100, 0)
    Sleep(300)
    OP_63(0x101, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(50)
    OP_63(0x102, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(50)
    OP_63(0x109, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(50)
    OP_63(0x105, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(50)
    OP_63(0x104, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(1000)
    SetChrSubChip(0x101, 0x0)
    Sleep(200)
    SetChrSubChip(0x102, 0x2)
    Sleep(50)
    SetChrSubChip(0x104, 0x2)
    Sleep(50)
    SetChrSubChip(0x105, 0x2)
    Sleep(300)

    #C0080

    ChrTalk(
        0x101,
        (
            "#00006F#5PUgh, at a time like\x01",
            "this....\x02",
        )
    )

    CloseMessageWindow()
    Sound(804, 0, 100, 0)
    OP_24(0x323)
    Fade(250)
    SetChrChipByIndex(0x101, 0x23)
    SetChrSubChip(0x101, 0x9)
    SetChrFlags(0x101, 0x20)
    SetChrFlags(0x101, 0x2)
    Sleep(500)
    OP_CB(0x0, 0x3, 0xFFFFFFFF, 0x1F4, 0x0, 0x0)
    FadeToDark(500, 0, 100)
    OP_0D()
    OP_CC(0x0, 0x0, 0x3)
    #Sound(2084, 255, 100, 0)
    SetMessageWindowPos(90, 130, -1, -1)

    #A0081

    AnonymousTalk(
        0x101,
        (
            "#00001F#3PSpecial Support Section,\x01",
            "Lloyd Bannings speaking.\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    OP_C9(0x0, 0x80000000)
    SetMessageWindowPos(170, 50, -1, -1)
    SetChrName("Man's Voice")

    #A0082

    AnonymousTalk(
        0xFF,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x5),
            "#3451V#40W─Bannings, it's me.\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    OP_24(0xD7B)
    OP_C9(0x1, 0x80000000)
    SetMessageWindowPos(90, 130, -1, -1)

    #A0083

    AnonymousTalk(
        0x101,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x0),
            "#00005FOh, Dudley.\x02\x03",

            "#00000FI heard you were out on\x01",
            "business. Did you just\x01",
            "get back?\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    SetMessageWindowPos(170, 50, -1, -1)
    SetChrName("Dudley's Voice")

    #A0084

    AnonymousTalk(
        0xFF,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x5),
            "Yeah, this afternoon.\x02\x03",

            "I heard from Emma.\x01",
            "You've been a big help\x01",
            "to her.\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    SetMessageWindowPos(90, 130, -1, -1)

    #A0085

    AnonymousTalk(
        0x101,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x0),
            "#00004FNo, it was nothing.\x02\x03",

            "#00001FSo, what's up...\x01",
            "Anything happen?\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    SetMessageWindowPos(170, 50, -1, -1)
    SetChrName("Dudley's Voice")

    #A0086

    AnonymousTalk(
        0xFF,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x5),
            "Yeah. I figured I'd let you\x01",
            "guys know.\x02\x03",

            "─A new owner for the plot\x01",
            "of land previously owned by\x01",
            "Revache has been decided.\x02\x03",

            "It's a group known as\x01",
            "\"Crimson & Co.\".\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    SetMessageWindowPos(90, 130, -1, -1)

    #A0087

    AnonymousTalk(
        0x101,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x0),
            "#00005FCrimson & Co.....\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    OP_63(0x101, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(1000)
    SetMessageWindowPos(90, 130, -1, -1)

    #A0088

    AnonymousTalk(
        0x101,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x0),
            "#00011FHuh!? Not Heiyue?\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    SetMessageWindowPos(170, 50, -1, -1)
    SetChrName("Dudley's Voice")

    #A0089

    AnonymousTalk(
        0xFF,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x5),
            "It seems they outsmarted\x01",
            "them and contracted the land\x01",
            "out from under their noses.\x02\x03",

            "It seems they have shady\x01",
            "dealings in the Empire, too.\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    SetMessageWindowPos(90, 130, -1, -1)

    #A0090

    AnonymousTalk(
        0x101,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x0),
            "#00011FIn the Empire...\x02\x03",

            "#00013FWhat kind of company are\x01",
            "they?\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    SetMessageWindowPos(170, 50, -1, -1)
    SetChrName("Dudley's Voice")

    #A0091

    AnonymousTalk(
        0xFF,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x5),
            "They run a high-class\x01",
            "club known as Neue-Blanc\x01",
            "in the Imperial capital.\x02\x03",

            "It begun operation in\x01",
            "Crossbell about a year\x01",
            "ago.\x02\x03",

            "The company is now\x01",
            "launching a full scale\x01",
            "expansion into Crossbell.\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    SetMessageWindowPos(90, 130, -1, -1)

    #A0092

    AnonymousTalk(
        0x101,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x0),
            "#00001FB-But it's not just a\x01",
            "regular company right?\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    SetMessageWindowPos(170, 50, -1, -1)
    SetChrName("Dudley's Voice")

    #A0093

    AnonymousTalk(
        0xFF,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x5),
            "Yeah...\x02\x03",

            "...Is Orlando there?\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    OP_63(0x101, 0x0, 1700, 0x26, 0x26, 0xFA, 0x1)
    Sleep(1000)
    SetMessageWindowPos(90, 130, -1, -1)

    #A0094

    AnonymousTalk(
        0x101,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x0),
            "#00005FRandy? Yeah, we just met\x01",
            "up with him.\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    SetMessageWindowPos(170, 50, -1, -1)
    SetChrName("Dudley's Voice")

    #A0095

    AnonymousTalk(
        0xFF,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x5),
            "You should ask him about\x01",
            "\"Crimson & Co\".\x02\x03",

            "─I'll contact you again\x01",
            "tonight.\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    Sound(813, 0, 80, 0)
    SetMessageWindowPos(90, 130, -1, -1)

    #A0096

    AnonymousTalk(
        0x101,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x0),
            "#00011FAh...\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    Sound(804, 0, 100, 0)
    OP_CB(0x0, 0x3, 0xFFFFFF, 0x1F4, 0x0, 0x0)
    FadeToBright(500, 0)
    OP_0D()
    OP_CC(0x0, 0x0, 0x3)

    #C0097

    ChrTalk(
        0x102,
        "#00108F#11PW-What's wrong?\x02",
    )

    CloseMessageWindow()

    #C0098

    ChrTalk(
        0x105,
        (
            "#10301F#5PIt sounded like you were\x01",
            "having quite the\x01",
            "conversation.\x02",
        )
    )

    CloseMessageWindow()

    #C0099

    ChrTalk(
        0x104,
        (
            "#00306F#5P─I see. So they were\x01",
            "after the Revache\x01",
            "building, huh.\x02\x03",

            "#00300F#11PNoel, when we get back,\x01",
            "mind dropping by\x01",
            "Entertainment District?\x02\x03",

            "Right by the Back Street\x01",
            "entrance.\x02",
        )
    )

    CloseMessageWindow()

    #C0100

    ChrTalk(
        0x109,
        "#10108F#6PT-That's fine but...\x02",
    )

    CloseMessageWindow()
    Sleep(100)
    SetChrChipByIndex(0x101, 0x1E)
    SetChrSubChip(0x101, 0x0)
    ClearChrFlags(0x101, 0x20)
    ClearChrFlags(0x101, 0x2)
    SetChrSubChip(0x101, 0x1)
    Sleep(200)
    SetChrSubChip(0x105, 0x0)

    #C0101

    ChrTalk(
        0x101,
        (
            "#00003F#6P...Randy.\x02\x03",

            "#00013FWhat kind of company is\x01",
            "this \"Crimson & Co.\"?\x02",
        )
    )

    CloseMessageWindow()
    Sleep(200)
    SetChrSubChip(0x104, 0x0)
    Sleep(300)

    #C0102

    ChrTalk(
        0x104,
        (
            "#00306F#5P#30WYeah...\x02\x03",

            "#00303FThey're a company that manages\x01",
            "the high class club, Neue-\x01",
            "Blanc...\x02\x03",

            "#00311F...But in reality,  it's a front\x01",
            "used by the Red Constellation\x01",
            "jaeger corps for fundraising.\x02",
        )
    )

    CloseMessageWindow()
    SetCameraDistance(14270, 2000)
    FadeToDark(1000, 0, -1)
    OP_0D()
    StopSound(460, 1000, 80)
    Sleep(1000)
    OP_CC(0x1, 0xFF, 0x0)
    SetChrChipByIndex(0x101, 0xFF)
    SetChrSubChip(0x101, 0x0)
    SetChrChipByIndex(0x102, 0xFF)
    SetChrSubChip(0x102, 0x0)
    SetChrChipByIndex(0x109, 0xFF)
    SetChrSubChip(0x109, 0x0)
    SetChrChipByIndex(0x105, 0xFF)
    SetChrSubChip(0x105, 0x0)
    SetChrChipByIndex(0x104, 0xFF)
    SetChrSubChip(0x104, 0x0)
    ClearChrFlags(0x101, 0x4)
    ClearChrFlags(0x102, 0x4)
    ClearChrFlags(0x109, 0x4)
    ClearChrFlags(0x105, 0x4)
    ClearChrFlags(0x104, 0x4)
    OP_24(0x323)
    SetScenarioFlags(0x22, 0)
    NewScene("r2030", 0, 0, 0)
    IdleLoop()
    Return()

    # Function_8_2948 end

    def Function_9_35AD(): pass

    label("Function_9_35AD")

    EventBegin(0x0)
    FadeToDark(0, 0, -1)
    LoadChrToIndex("chr/ch00002.itc", 0x1E)
    LoadChrToIndex("chr/ch00102.itc", 0x1F)
    LoadChrToIndex("apl/ch51104.itc", 0x20)
    LoadChrToIndex("chr/ch03002.itc", 0x21)
    LoadChrToIndex("chr/ch00302.itc", 0x22)
    LoadChrToIndex("chr/ch00202.itc", 0x23)
    ClearChrFlags(0x4, 0x80)
    ClearChrBattleFlags(0x4, 0x8000)
    ClearChrFlags(0x5, 0x80)
    ClearChrBattleFlags(0x5, 0x8000)
    SetMapObjFrame(0xFF, "side01", 0x0, 0x1)
    SetChrChipByIndex(0x101, 0x1E)
    SetChrSubChip(0x101, 0x0)
    SetChrChipByIndex(0x102, 0x1F)
    SetChrSubChip(0x102, 0x0)
    SetChrChipByIndex(0x109, 0x20)
    SetChrSubChip(0x109, 0x0)
    SetChrChipByIndex(0x105, 0x21)
    SetChrSubChip(0x105, 0x0)
    SetChrChipByIndex(0x104, 0x22)
    SetChrSubChip(0x104, 0x0)
    SetChrChipByIndex(0x103, 0x23)
    SetChrSubChip(0x103, 0x0)
    SetChrFlags(0x101, 0x4)
    SetChrFlags(0x102, 0x4)
    SetChrFlags(0x109, 0x4)
    SetChrFlags(0x105, 0x4)
    SetChrFlags(0x104, 0x4)
    SetChrFlags(0x103, 0x4)
    SetChrPos(0x101, 151950, 100, 950, 90)
    SetChrPos(0x102, 150400, 100, -1050, 90)
    SetChrPos(0x109, 151750, 170, -1150, 90)
    SetChrPos(0x103, 150400, 100, 950, 90)
    SetChrPos(0x104, 148850, 100, -950, 90)
    SetChrPos(0x105, 148850, 100, 750, 90)
    SetMapObjFlags(0x0, 0x4)
    ClearMapObjFlags(0x1, 0x4)
    SetMapObjFlags(0x2, 0x4)
    SetMapObjFlags(0x3, 0x4)
    SetMapObjFlags(0x4, 0x4)
    SetMapObjFlags(0x5, 0x4)
    SetMapObjFlags(0x6, 0x4)
    SetMapObjFlags(0x7, 0x4)
    SetMapObjFlags(0x8, 0x4)
    SetMapObjFlags(0x9, 0x4)
    SetMapObjFlags(0xA, 0x4)
    SetMapObjFlags(0xB, 0x4)
    ClearChrFlags(0x9, 0x80)
    OP_78(0x1, 0x9)
    OP_49()
    SetChrPos(0x9, 150000, 0, 0, 270)
    OP_D5(0x9, 0x0, 0x41EB0, 0x0, 0x0)
    SetMapObjFrame(0x1, "main", 0x2, "stop")
    SetMapObjFrame(0xFF, "effect00_add", 0x0, 0x1)
    VolumeBGM(0x46, 0x3E8)
    OP_68(150000, 750, 0, 0)
    MoveCamera(305, 25, 0, 0)
    OP_6E(600, 0)
    SetCameraDistance(15500, 0)
    FadeToBright(1000, 0)
    SetCameraDistance(15000, 1500)
    OP_6F(0x79)
    OP_0D()

    #C0103

    ChrTalk(
        0x101,
        (
            "#00008F#5PThose were... ambulances\x01",
            "heading to the hospital,\x01",
            "huh.\x02",
        )
    )

    CloseMessageWindow()

    #C0104

    ChrTalk(
        0x103,
        (
            "#00201F#5PYes, they're registered\x01",
            "with St. Ursula\x01",
            "Hospital.\x02",
        )
    )

    CloseMessageWindow()

    #C0105

    ChrTalk(
        0x104,
        (
            "#00303F#5PAnd there's three of\x01",
            "'em, even...\x02",
        )
    )

    CloseMessageWindow()

    #C0106

    ChrTalk(
        0x102,
        (
            "#00108F#5PI wonder if they're\x01",
            "carrying derailment\x01",
            "accident victims.\x02",
        )
    )

    CloseMessageWindow()

    #C0107

    ChrTalk(
        0x105,
        (
            "#10306F#5PWell, considering the\x01",
            "timing, there can't be\x01",
            "any doubt, right?\x02",
        )
    )

    CloseMessageWindow()

    #C0108

    ChrTalk(
        0x101,
        (
            "#00006F#5P...It looks like Cecil\x01",
            "and the others will be\x01",
            "busy.\x02\x03",

            "#00001FLet's hurry to the scene\x01",
            "ourselves.\x02",
        )
    )

    CloseMessageWindow()

    #C0109

    ChrTalk(
        0x109,
        "#10101F#5PRoger!\x02",
    )

    CloseMessageWindow()
    FadeToDark(1000, 0, -1)
    OP_0D()
    SetChrChipByIndex(0x101, 0xFF)
    SetChrSubChip(0x101, 0x0)
    SetChrChipByIndex(0x102, 0xFF)
    SetChrSubChip(0x102, 0x0)
    SetChrChipByIndex(0x109, 0xFF)
    SetChrSubChip(0x109, 0x0)
    SetChrChipByIndex(0x105, 0xFF)
    SetChrSubChip(0x105, 0x0)
    SetChrChipByIndex(0x104, 0xFF)
    SetChrSubChip(0x104, 0x0)
    SetChrChipByIndex(0x103, 0xFF)
    SetChrSubChip(0x103, 0x0)
    ClearChrFlags(0x101, 0x4)
    ClearChrFlags(0x102, 0x4)
    ClearChrFlags(0x109, 0x4)
    ClearChrFlags(0x105, 0x4)
    ClearChrFlags(0x104, 0x4)
    ClearChrFlags(0x103, 0x4)
    SetScenarioFlags(0x162, 6)
    Jc((scpexpr(EXPR_PUSH_VALUE_INDEX, 0x1D), scpexpr(EXPR_PUSH_LONG, 0x21410100), scpexpr(EXPR_EQU), scpexpr(EXPR_END)), "loc_39F1")
    StopBGM(0xFA0)
    WaitBGM()
    Sleep(10)
    VolumeBGM(0x64, 0x64)
    SetScenarioFlags(0x22, 1)
    NewScene("r1000", 0, 0, 0)
    IdleLoop()
    Jump("loc_3A3C")

    label("loc_39F1")

    Jc((scpexpr(EXPR_PUSH_VALUE_INDEX, 0x1D), scpexpr(EXPR_PUSH_LONG, 0x21302000), scpexpr(EXPR_EQU), scpexpr(EXPR_END)), "loc_3A16")
    VolumeBGM(0x64, 0x3E8)
    Sleep(1000)
    NewScene("c0200", 99, 0, 0)
    IdleLoop()
    Jump("loc_3A3C")

    label("loc_3A16")

    Jc((scpexpr(EXPR_PUSH_VALUE_INDEX, 0x1D), scpexpr(EXPR_PUSH_LONG, 0x21410000), scpexpr(EXPR_EQU), scpexpr(EXPR_END)), "loc_3A3C")
    StopBGM(0xFA0)
    WaitBGM()
    Sleep(10)
    VolumeBGM(0x64, 0x64)
    NewScene("r1000", 99, 0, 0)
    IdleLoop()

    label("loc_3A3C")

    Return()

    # Function_9_35AD end

    def Function_10_3A3D(): pass

    label("Function_10_3A3D")

    EventBegin(0x0)
    FadeToDark(0, 0, -1)
    LoadChrToIndex("chr/ch00002.itc", 0x1E)
    LoadChrToIndex("chr/ch00102.itc", 0x1F)
    LoadChrToIndex("apl/ch51104.itc", 0x20)
    LoadChrToIndex("chr/ch03002.itc", 0x21)
    LoadChrToIndex("chr/ch00302.itc", 0x22)
    LoadChrToIndex("chr/ch00202.itc", 0x23)
    SetMapObjFrame(0xFF, "side01", 0x0, 0x1)
    OP_68(-440, 750, 140, 0)
    MoveCamera(317, 20, 0, 0)
    OP_6E(600, 0)
    SetCameraDistance(15500, 0)
    SetChrChipByIndex(0x101, 0x1E)
    SetChrSubChip(0x101, 0x2)
    SetChrChipByIndex(0x102, 0x1F)
    SetChrSubChip(0x102, 0x2)
    SetChrChipByIndex(0x109, 0x20)
    SetChrSubChip(0x109, 0x0)
    SetChrChipByIndex(0x105, 0x21)
    SetChrSubChip(0x105, 0x2)
    SetChrChipByIndex(0x104, 0x22)
    SetChrSubChip(0x104, 0x2)
    SetChrChipByIndex(0x103, 0x23)
    SetChrSubChip(0x103, 0x2)
    SetChrFlags(0x101, 0x4)
    SetChrFlags(0x102, 0x4)
    SetChrFlags(0x109, 0x4)
    SetChrFlags(0x105, 0x4)
    SetChrFlags(0x104, 0x4)
    SetChrFlags(0x103, 0x4)
    ClearChrFlags(0x101, 0x1)
    ClearChrFlags(0x102, 0x1)
    ClearChrFlags(0x109, 0x1)
    ClearChrFlags(0x105, 0x1)
    ClearChrFlags(0x104, 0x1)
    ClearChrFlags(0x103, 0x1)
    SetChrPos(0x101, 1300, 100, -1900, 180)
    SetChrPos(0x102, -800, 100, -400, 180)
    SetChrPos(0x109, -800, 100, -1700, 180)
    SetChrPos(0x103, 1300, 100, -400, 180)
    SetChrPos(0x104, -800, 100, 1100, 180)
    SetChrPos(0x105, 1300, 100, 1100, 180)
    ClearChrFlags(0x4, 0x80)
    ClearChrBattleFlags(0x4, 0x8000)
    ClearChrFlags(0x5, 0x80)
    ClearChrBattleFlags(0x5, 0x8000)
    SetMapObjFlags(0x0, 0x4)
    SetMapObjFlags(0x1, 0x4)
    SetMapObjFlags(0x2, 0x4)
    SetMapObjFlags(0x3, 0x4)
    ClearMapObjFlags(0x4, 0x4)
    SetMapObjFlags(0x5, 0x4)
    SetMapObjFlags(0x6, 0x4)
    SetMapObjFlags(0x7, 0x4)
    SetMapObjFlags(0x8, 0x4)
    SetMapObjFlags(0x9, 0x4)
    SetMapObjFlags(0xA, 0x4)
    SetMapObjFlags(0xB, 0x4)
    ClearChrFlags(0x9, 0x80)
    OP_78(0x4, 0x9)
    OP_49()
    SetChrPos(0x9, -8000, 0, 4000, 180)
    OP_D5(0x9, 0x0, 0x2BF20, 0x0, 0x0)
    SetMapObjFrame(0x4, "main", 0x2, "stop")
    SetMapObjFrame(0x4, "obj00", 0x2, "stop")
    SetMapObjFrame(0xFF, "effect00_add", 0x0, 0x1)
    VolumeBGM(0x46, 0x3E8)
    FadeToBright(1000, 0)
    SetCameraDistance(15000, 1500)
    OP_6F(0x79)
    OP_0D()

    #C0110

    ChrTalk(
        0x101,
        "#00001F#12PThose buses...\x02",
    )

    CloseMessageWindow()

    #C0111

    ChrTalk(
        0x109,
        (
            "#10108F#11PThey're passenger buses\x01",
            "going between here and\x01",
            "the Republic, right?\x02",
        )
    )

    CloseMessageWindow()

    #C0112

    ChrTalk(
        0x102,
        (
            "#00103F#11PThe passengers on the\x01",
            "train were probably\x01",
            "transferred to them.\x02",
        )
    )

    CloseMessageWindow()

    #C0113

    ChrTalk(
        0x104,
        (
            "#00306F#11PMan, it must be tough\x01",
            "for them.\x02",
        )
    )

    CloseMessageWindow()

    #C0114

    ChrTalk(
        0x103,
        (
            "#00208F#12P...I wonder how bad it\x01",
            "is?\x02",
        )
    )

    CloseMessageWindow()
    FadeToDark(1000, 0, -1)
    SetCameraDistance(14500, 2000)
    OP_6F(0x79)
    OP_0D()
    SetChrChipByIndex(0x101, 0xFF)
    SetChrSubChip(0x101, 0x0)
    SetChrChipByIndex(0x102, 0xFF)
    SetChrSubChip(0x102, 0x0)
    SetChrChipByIndex(0x109, 0xFF)
    SetChrSubChip(0x109, 0x0)
    SetChrChipByIndex(0x105, 0xFF)
    SetChrSubChip(0x105, 0x0)
    SetChrChipByIndex(0x104, 0xFF)
    SetChrSubChip(0x104, 0x0)
    SetChrChipByIndex(0x103, 0xFF)
    SetChrSubChip(0x103, 0x0)
    ClearChrFlags(0x101, 0x4)
    ClearChrFlags(0x102, 0x4)
    ClearChrFlags(0x109, 0x4)
    ClearChrFlags(0x105, 0x4)
    ClearChrFlags(0x104, 0x4)
    ClearChrFlags(0x103, 0x4)
    SetChrFlags(0x101, 0x1)
    SetChrFlags(0x102, 0x1)
    SetChrFlags(0x109, 0x1)
    SetChrFlags(0x105, 0x1)
    SetChrFlags(0x104, 0x1)
    SetChrFlags(0x103, 0x1)
    SetScenarioFlags(0x162, 7)
    SetScenarioFlags(0x22, 0)
    NewScene("r1010", 0, 0, 0)
    IdleLoop()
    Return()

    # Function_10_3A3D end

    def Function_11_3DFE(): pass

    label("Function_11_3DFE")

    EventBegin(0x0)
    FadeToDark(0, 0, -1)
    LoadChrToIndex("chr/ch00002.itc", 0x1E)
    LoadChrToIndex("chr/ch00102.itc", 0x1F)
    LoadChrToIndex("apl/ch51104.itc", 0x20)
    LoadChrToIndex("chr/ch03002.itc", 0x21)
    LoadChrToIndex("chr/ch00302.itc", 0x22)
    LoadChrToIndex("chr/ch00202.itc", 0x23)
    SoundLoad(468)
    SetMapObjFrame(0xFF, "side01", 0x0, 0x1)
    OP_68(100040, 950, 320, 0)
    MoveCamera(317, 20, 0, 0)
    OP_6E(600, 0)
    SetCameraDistance(15750, 0)
    SetChrChipByIndex(0x101, 0x1E)
    SetChrSubChip(0x101, 0x0)
    SetChrChipByIndex(0x102, 0x1F)
    SetChrSubChip(0x102, 0x1)
    SetChrChipByIndex(0x109, 0x20)
    SetChrSubChip(0x109, 0x0)
    SetChrChipByIndex(0x105, 0x21)
    SetChrSubChip(0x105, 0x0)
    SetChrChipByIndex(0x104, 0x22)
    SetChrSubChip(0x104, 0x0)
    SetChrChipByIndex(0x103, 0x23)
    SetChrSubChip(0x103, 0x2)
    SetChrFlags(0x101, 0x4)
    SetChrFlags(0x102, 0x4)
    SetChrFlags(0x109, 0x4)
    SetChrFlags(0x105, 0x4)
    SetChrFlags(0x104, 0x4)
    SetChrFlags(0x103, 0x4)
    SetChrPos(0x101, 98800, 100, 1700, 0)
    SetChrPos(0x102, 98800, 100, 100, 0)
    SetChrPos(0x109, 101000, 100, 1700, 0)
    SetChrPos(0x105, 101000, 100, -1400, 0)
    SetChrPos(0x104, 98800, 100, -1400, 0)
    SetChrPos(0x103, 101000, 100, 100, 0)
    ClearChrFlags(0x4, 0x80)
    ClearChrBattleFlags(0x4, 0x8000)
    ClearChrFlags(0x5, 0x80)
    ClearChrBattleFlags(0x5, 0x8000)
    SetMapObjFlags(0x0, 0x4)
    SetMapObjFlags(0x1, 0x4)
    SetMapObjFlags(0x2, 0x4)
    SetMapObjFlags(0x3, 0x4)
    SetMapObjFlags(0x4, 0x4)
    SetMapObjFlags(0x5, 0x4)
    SetMapObjFlags(0x6, 0x4)
    SetMapObjFlags(0x7, 0x4)
    SetMapObjFlags(0x8, 0x4)
    SetMapObjFlags(0x9, 0x4)
    ClearMapObjFlags(0xA, 0x4)
    SetMapObjFlags(0xB, 0x4)
    BeginChrThread(0x101, 3, 0, 2)
    VolumeBGM(0x46, 0x3E8)
    Sound(468, 2, 100, 0)
    FadeToBright(1000, 0)
    SetCameraDistance(15000, 1500)
    OP_6F(0x79)
    OP_0D()

    #C0115

    ChrTalk(
        0x109,
        "#5P#10110FT-This is...\x02",
    )

    CloseMessageWindow()

    #C0116

    ChrTalk(
        0x102,
        "#00106F#5PHow... awful...\x02",
    )

    CloseMessageWindow()

    #C0117

    ChrTalk(
        0x104,
        "#00311F#5P............\x02",
    )

    CloseMessageWindow()

    #C0118

    ChrTalk(
        0x101,
        (
            "#5P#00010FA-Anyway, we have to\x01",
            "figure out what's going\x01",
            "on.\x02",
        )
    )

    CloseMessageWindow()
    Sound(867, 0, 60, 0)
    Sleep(300)
    SetMessageWindowPos(220, 20, -1, -1)
    SetChrName("Man's Voice")

    #A0119

    AnonymousTalk(
        0xFF,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x5),
            "...It's Sergei, can you\x01",
            "read me?\x07\x00\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    SetMessageWindowPos(14, 280, 60, 3)
    OP_63(0x101, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    SetChrSubChip(0x101, 0x2)
    OP_63(0x109, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(50)
    OP_63(0x102, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    SetChrSubChip(0x102, 0x0)
    OP_63(0x103, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    SetChrSubChip(0x103, 0x0)
    Sleep(50)
    OP_63(0x104, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    OP_63(0x105, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(1000)

    #C0120

    ChrTalk(
        0x101,
        "#5P#00007FChief!?\x02",
    )

    CloseMessageWindow()

    #C0121

    ChrTalk(
        0x102,
        "#5P#00101FAre you ok!?\x02",
    )

    CloseMessageWindow()
    SetMessageWindowPos(220, 20, -1, -1)
    SetChrName("Sergei's Voice")

    #A0122

    AnonymousTalk(
        0xFF,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x5),
            "Yeah, somehow.\x02\x03",

            "Since police HQ was attacked,\x01",
            "I'm at the Support Section in\x01",
            "charge of communications.\x07\x00\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    SetMessageWindowPos(14, 280, 60, 3)

    #C0123

    ChrTalk(
        0x101,
        "#5P#00013FPolice HQ was...!?\x02",
    )

    CloseMessageWindow()

    #C0124

    ChrTalk(
        0x109,
        "#6P#10107FWe've got to hurry!\x02",
    )

    CloseMessageWindow()
    SetMessageWindowPos(220, 20, -1, -1)
    SetChrName("Sergei's Voice")

    #A0125

    AnonymousTalk(
        0xFF,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x5),
            "No, Sonya's unit is\x01",
            "heading there.\x02\x03",

            "If possible, I want you\x01",
            "guys to go to Waterfront\x01",
            "Area for me.\x07\x00\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    SetMessageWindowPos(14, 280, 60, 3)

    #C0126

    ChrTalk(
        0x101,
        "#5P#00005FWaterfront Area?\x02",
    )

    CloseMessageWindow()
    SetMessageWindowPos(220, 20, -1, -1)
    SetChrName("Sergei's Voice")

    #A0127

    AnonymousTalk(
        0xFF,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x5),
            "Looks like some jaegers\x01",
            "blew up the Heiyue\x01",
            "branch office just now.\x02\x03",

            "And after that, they\x01",
            "marched into the IBC\x01",
            "building.\x07\x00\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    SetMessageWindowPos(14, 280, 60, 3)
    OP_63(0x101, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    OP_63(0x109, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(50)
    OP_63(0x102, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    OP_63(0x103, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(50)
    OP_63(0x104, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    OP_63(0x105, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(1000)
    SetMessageWindowPos(220, 20, -1, -1)
    SetChrName("Sergei's Voice")

    #A0128

    AnonymousTalk(
        0xFF,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x5),
            "At present, the main enemy force is attacking\x01",
            "Orchis Tower.\x02\x03",

            "Arios and Dudley seem to be holding out, but\x01",
            "they'll probably need the CGF's help.\x02\x03",

            "As for the other bracers... It looks like\x01",
            "they've got their hands full clearing out the\x01",
            "war beasts that were released into the city.\x02\x03",

            "You're the only ones who can get over there.\x07\x00\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    SetMessageWindowPos(14, 280, 60, 3)

    #C0129

    ChrTalk(
        0x102,
        "#5P#00108FH-However....\x02",
    )

    CloseMessageWindow()

    #C0130

    ChrTalk(
        0x103,
        (
            "#6P#00201F...Is everything fine at\x01",
            "the Support Section?\x02",
        )
    )

    CloseMessageWindow()
    SetMessageWindowPos(220, 20, -1, -1)
    SetChrName("Sergei's Voice")

    #A0131

    AnonymousTalk(
        0xFF,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x5),
            "I'm sheltering people\x01",
            "who were nearby at the\x01",
            "Support Section.\x02\x03",

            "Zeit is keeping watch,\x01",
            "so the military monsters\x01",
            "won't come close.\x02\x03",

            "KeA is here too, so\x01",
            "well, don't worry.\x07\x00\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    SetMessageWindowPos(14, 280, 60, 3)

    #C0132

    ChrTalk(
        0x103,
        "#6P#00206F...I see.\x02",
    )

    CloseMessageWindow()

    #C0133

    ChrTalk(
        0x105,
        (
            "#6P#10301FSeems like everything's\x01",
            "ok over there.\x02",
        )
    )

    CloseMessageWindow()

    #C0134

    ChrTalk(
        0x101,
        (
            "#5P#00013F─Understood. We'll head\x01",
            "to Waterfront Area.\x02",
        )
    )

    CloseMessageWindow()
    SetMessageWindowPos(220, 20, -1, -1)
    SetChrName("Sergei's Voice")

    #A0135

    AnonymousTalk(
        0xFF,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x5),
            "Yeah... Be real careful.\x07\x00\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    SetMessageWindowPos(14, 280, 60, 3)
    Sound(899, 0, 80, 0)
    Sleep(500)

    #C0136

    ChrTalk(
        0x105,
        (
            "#6P#10308FThe IBC building...\x01",
            "Could they be after\x01",
            "mira?\x02",
        )
    )

    CloseMessageWindow()

    #C0137

    ChrTalk(
        0x101,
        (
            "#5P#00003FI don't know, but...\x01",
            "Anyway, we should hurry.\x02\x03",

            "#00008FActually, I'm worried\x01",
            "about HQ as well, but...\x02",
        )
    )

    CloseMessageWindow()

    #C0138

    ChrTalk(
        0x109,
        (
            "#6P#10106F...Yes... But anyway,\x01",
            "let's hurry.\x02\x03",

            "#10101FThere are people you\x01",
            "guys know at IBC, aren't\x01",
            "there?\x02",
        )
    )

    CloseMessageWindow()

    #C0139

    ChrTalk(
        0x102,
        (
            "#5P#00106FYes... Bell will most\x01",
            "likely be there.\x02",
        )
    )

    CloseMessageWindow()

    #C0140

    ChrTalk(
        0x103,
        (
            "#6P#00208FJona and Chief Roberts\x01",
            "too... I think they should\x01",
            "be in the foundation office.\x02",
        )
    )

    CloseMessageWindow()

    #C0141

    ChrTalk(
        0x104,
        (
            "#00303F#5P...Anyway, we should probably park\x01",
            "the car when we get to Waterfront\x01",
            "Area.\x02\x03",

            "#00301FIf we carelessly approached in the\x01",
            "car, we might be targets for their\x01",
            "panzerfaust anti-tank missiles.\x02",
        )
    )

    CloseMessageWindow()

    #C0142

    ChrTalk(
        0x101,
        (
            "#5P#00011FThere's that danger too,\x01",
            "I guess...\x02",
        )
    )

    CloseMessageWindow()

    #C0143

    ChrTalk(
        0x109,
        (
            "#6P#10101FRoger. I'll hurry to the\x01",
            "Waterfront Area\x01",
            "entrance.\x02",
        )
    )

    CloseMessageWindow()
    SetChrSubChip(0x101, 0x0)
    StopSound(468, 2000, 100)
    OP_68(100000, 850, -3500, 2000)
    FadeToDark(2000, 0, -1)
    OP_0D()
    OP_6F(0x79)
    Sleep(300)
    SetChrName("")

    #A0144

    AnonymousTalk(
        0xFF,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x5),
            "Later, after parting with\x01",
            "the CGF vehicle headed for\x01",
            "Governmental District...\x02\x03",

            "Their car avoided battle\x01",
            "and arrived at Waterfront\x01",
            "Area via East Street.\x07\x00\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    SetChrChipByIndex(0x101, 0xFF)
    SetChrSubChip(0x101, 0x0)
    SetChrChipByIndex(0x102, 0xFF)
    SetChrSubChip(0x102, 0x0)
    SetChrChipByIndex(0x109, 0xFF)
    SetChrSubChip(0x109, 0x0)
    SetChrChipByIndex(0x105, 0xFF)
    SetChrSubChip(0x105, 0x0)
    SetChrChipByIndex(0x104, 0xFF)
    SetChrSubChip(0x104, 0x0)
    SetChrChipByIndex(0x103, 0xFF)
    SetChrSubChip(0x103, 0x0)
    ClearChrFlags(0x101, 0x4)
    ClearChrFlags(0x102, 0x4)
    ClearChrFlags(0x109, 0x4)
    ClearChrFlags(0x105, 0x4)
    ClearChrFlags(0x104, 0x4)
    ClearChrFlags(0x103, 0x4)
    OP_50(0x4C, (scpexpr(EXPR_PUSH_LONG, 0xFFFF), scpexpr(EXPR_STUB), scpexpr(EXPR_END)))
    ReplaceBGM("ed7150", "ed7544")
    OP_24(0x1D4)
    SetScenarioFlags(0x22, 2)
    NewScene("c120B", 0, 0, 0)
    IdleLoop()
    Return()

    # Function_11_3DFE end

    def Function_12_4BDC(): pass

    label("Function_12_4BDC")

    EventBegin(0x0)
    FadeToDark(0, 0, -1)
    SetMapObjFrame(0xFF, "side01", 0x0, 0x1)
    LoadChrToIndex("chr/ch00002.itc", 0x1E)
    LoadChrToIndex("chr/ch00102.itc", 0x1F)
    LoadChrToIndex("chr/ch00202.itc", 0x20)
    LoadChrToIndex("chr/ch00302.itc", 0x21)
    LoadChrToIndex("chr/ch02902.itc", 0x22)
    LoadChrToIndex("chr/ch03102.itc", 0x23)
    LoadChrToIndex("chr/ch03202.itc", 0x24)
    LoadChrToIndex("chr/ch00902.itc", 0x25)
    OP_68(-610, 700, 50, 0)
    MoveCamera(321, 20, 0, 0)
    OP_6E(600, 0)
    SetCameraDistance(14400, 0)
    SetChrChipByIndex(0x101, 0x1E)
    SetChrSubChip(0x101, 0x0)
    SetChrChipByIndex(0x102, 0x1F)
    SetChrSubChip(0x102, 0x0)
    SetChrChipByIndex(0x103, 0x20)
    SetChrSubChip(0x103, 0x0)
    SetChrChipByIndex(0x104, 0x21)
    SetChrSubChip(0x104, 0x0)
    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x8)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_4C8C")
    SetChrChipByIndex(0x109, 0x22)
    SetChrSubChip(0x109, 0x0)

    label("loc_4C8C")

    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x4)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_4CA4")
    SetChrChipByIndex(0x105, 0x23)
    SetChrSubChip(0x105, 0x0)

    label("loc_4CA4")

    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x5)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_4CBC")
    SetChrChipByIndex(0x106, 0x24)
    SetChrSubChip(0x106, 0x0)

    label("loc_4CBC")

    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x9)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_4CD4")
    SetChrChipByIndex(0x10A, 0x25)
    SetChrSubChip(0x10A, 0x0)

    label("loc_4CD4")

    SetChrFlags(0x101, 0x4)
    SetChrFlags(0x102, 0x4)
    SetChrFlags(0x103, 0x4)
    SetChrFlags(0x104, 0x4)
    SetChrFlags(0xF4, 0x4)
    SetChrFlags(0xF5, 0x4)
    ClearChrFlags(0x101, 0x1)
    ClearChrFlags(0x102, 0x1)
    ClearChrFlags(0x103, 0x1)
    ClearChrFlags(0x104, 0x1)
    ClearChrFlags(0xF4, 0x1)
    ClearChrFlags(0xF5, 0x1)
    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x8)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_4DFF")
    SetChrPos(0x109, -800, 100, -1700, 180)
    SetChrPos(0x101, 1300, 100, -1900, 180)
    SetChrPos(0x103, 1300, 100, -400, 180)
    SetChrPos(0x102, -800, 100, -400, 180)
    SetChrPos(0x104, -700, 100, 1100, 180)
    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x4)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_4D9B")
    SetChrPos(0x105, 300, 100, 1100, 180)
    Jump("loc_4DE2")

    label("loc_4D9B")

    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x5)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_4DC1")
    SetChrPos(0x106, 200, 100, 1100, 180)
    Jump("loc_4DE2")

    label("loc_4DC1")

    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x9)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_4DE2")
    SetChrPos(0x10A, 300, 100, 1100, 180)

    label("loc_4DE2")

    ClearChrFlags(0x4, 0x80)
    ClearChrBattleFlags(0x4, 0x8000)
    ClearChrFlags(0x5, 0x80)
    ClearChrBattleFlags(0x5, 0x8000)
    SetChrSubChip(0x101, 0x2)
    Jump("loc_4EE4")

    label("loc_4DFF")

    SetChrPos(0x101, -800, 100, -1700, 180)
    SetChrPos(0x102, 1300, 100, -1900, 180)
    SetChrPos(0x103, 1300, 100, -400, 180)
    SetChrPos(0x104, -800, 100, -400, 180)
    ClearScenarioFlags(0x0, 0)
    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x9)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_4E6A")
    SetChrPos(0x10A, -700, 100, 1100, 180)
    SetScenarioFlags(0x0, 0)

    label("loc_4E6A")

    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x4)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_4EAB")
    Jc((scpexpr(EXPR_TEST_SCENA_FLAGS, MakeScenarioFlags(0x0, 0)), scpexpr(EXPR_EQUZ), scpexpr(EXPR_END)), "loc_4E9A")
    SetChrPos(0x105, -700, 100, 1100, 180)
    Jump("loc_4EAB")

    label("loc_4E9A")

    SetChrPos(0x105, 300, 100, 1100, 180)

    label("loc_4EAB")

    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x5)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_4ECC")
    SetChrPos(0x106, 200, 100, 1100, 180)

    label("loc_4ECC")

    ClearChrFlags(0x4, 0x80)
    ClearChrBattleFlags(0x4, 0x8000)
    ClearChrFlags(0x5, 0x80)
    ClearChrBattleFlags(0x5, 0x8000)
    SetChrSubChip(0x102, 0x2)

    label("loc_4EE4")

    SetMapObjFrame(0xFF, "effect00_add", 0x0, 0x1)
    SetMapObjFlags(0x0, 0x4)
    SetMapObjFlags(0x1, 0x4)
    SetMapObjFlags(0x2, 0x4)
    SetMapObjFlags(0x3, 0x4)
    SetMapObjFlags(0x4, 0x4)
    SetMapObjFlags(0x5, 0x4)
    SetMapObjFlags(0x6, 0x4)
    SetMapObjFlags(0x7, 0x4)
    SetMapObjFlags(0x8, 0x4)
    SetMapObjFlags(0x9, 0x4)
    SetMapObjFlags(0xA, 0x4)
    ClearMapObjFlags(0xB, 0x4)
    VolumeBGM(0x3C, 0x3E8)
    FadeToBright(1000, 0)
    SetCameraDistance(13800, 2000)
    OP_6F(0x79)
    OP_0D()
    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x8)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_5D4F")
    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x5)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_501A")

    #C0145

    ChrTalk(
        0x106,
        (
            "#10702F#11PWow... It's my first\x01",
            "time riding in it. It\x01",
            "has a lovely interior.\x02",
        )
    )

    CloseMessageWindow()

    #C0146

    ChrTalk(
        0x101,
        "#12P#00009FHaha, thanks.\x02",
    )

    CloseMessageWindow()

    #C0147

    ChrTalk(
        0x103,
        (
            "#12P#00202FKeA liked this car too,\x01",
            "right?\x02",
        )
    )

    CloseMessageWindow()

    label("loc_501A")

    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x9)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_5137")

    #C0148

    ChrTalk(
        0x10A,
        (
            "#00605F#11PHmm, the ZCF's newest orbal\x01",
            "car, eh?\x02\x03",

            "#00603FIt seems quite easy to use.\x01",
            "I was thinking of using them\x01",
            "at Section One too, but...\x02",
        )
    )

    CloseMessageWindow()

    #C0149

    ChrTalk(
        0x102,
        (
            "#11P#00106FConsidering the situation across the\x01",
            "continent, I think it might be\x01",
            "difficult to import them from Liberl...\x02",
        )
    )

    CloseMessageWindow()

    label("loc_5137")

    OP_63(0x109, 0x0, 1700, 0x18, 0x1B, 0xFA, 0x0)
    Sleep(1500)
    OP_64(0x109)

    #C0150

    ChrTalk(
        0x109,
        (
            "#10104F#5PWell, the design is nice and\x01",
            "it runs without problems.\x02\x03",

            "#10100FWith this car, I'm sure that\x01",
            "even breaking through things\x01",
            "could be done easily.\x02",
        )
    )

    CloseMessageWindow()

    #C0151

    ChrTalk(
        0x101,
        "#12P#00000FIs that so...\x02",
    )

    CloseMessageWindow()

    #C0152

    ChrTalk(
        0x103,
        (
            "#12P#00203FWe've confirmed it can\x01",
            "be used for ramming...\x02\x03",

            "#00200FShould we go back to\x01",
            "chief and the others for\x01",
            "now?\x02",
        )
    )

    CloseMessageWindow()

    #C0153

    ChrTalk(
        0x102,
        (
            "#11P#00103FRight, I'd like to hear\x01",
            "the final plans as\x01",
            "well...\x02",
        )
    )

    CloseMessageWindow()
    Sound(867, 0, 80, 0)
    Sleep(300)
    OP_63(0x101, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    OP_63(0x102, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(50)
    OP_63(0xF4, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    OP_63(0xF5, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    SetChrSubChip(0x109, 0x1)
    Sleep(50)
    OP_63(0x104, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    OP_63(0x103, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(1000)

    #C0154

    ChrTalk(
        0x101,
        "#12P#00013FThis is...\x02",
    )

    CloseMessageWindow()
    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x9)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_53E5")

    #C0155

    ChrTalk(
        0x10A,
        (
            "#00601F#11PThe on-board\x01",
            "communication device. A\x01",
            "call is coming in.\x02",
        )
    )

    CloseMessageWindow()
    Jump("loc_5433")

    label("loc_53E5")


    #C0156

    ChrTalk(
        0x104,
        (
            "#11P#00301FIt's the on-board\x01",
            "communicator. Seems to\x01",
            "be a call coming in.\x02",
        )
    )

    CloseMessageWindow()

    label("loc_5433")


    #C0157

    ChrTalk(
        0x109,
        "#10113F#5PLloyd. What do we do?\x02",
    )

    CloseMessageWindow()

    #C0158

    ChrTalk(
        0x101,
        (
            "#12P#00003F...Try turning it on.\x02\x03",

            "#00001FEveryone, don't raise\x01",
            "your voices, just in\x01",
            "case.\x02",
        )
    )

    CloseMessageWindow()
    StopBGM(0xBB8)
    Sleep(500)
    Sound(853, 0, 100, 0)
    Sleep(300)
    Sound(899, 0, 50, 0)
    SetMessageWindowPos(30, 150, -1, -1)
    SetChrName("Woman's Voice")

    #A0159

    AnonymousTalk(
        0xFF,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x5),
            "─It's been a long time,\x01",
            "Special Support Section.\x02\x03",

            "It's Kilika. Kilika\x01",
            "Rouran.\x07\x00\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    SetMessageWindowPos(14, 280, 60, 3)
    OP_63(0x101, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    OP_63(0x102, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(50)
    OP_63(0xF4, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    OP_63(0xF5, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(50)
    OP_63(0x104, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    OP_63(0x103, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(1000)
    WaitBGM()
    Sleep(10)
    PlayBGM("ed7516", 0)

    #C0160

    ChrTalk(
        0x101,
        "#12P#00011FHuh!?\x02",
    )

    CloseMessageWindow()

    #C0161

    ChrTalk(
        0x104,
        "#11P#00307FKilika!?\x02",
    )

    CloseMessageWindow()
    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x5)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_565C")

    #C0162

    ChrTalk(
        0x106,
        (
            "#10701F#11P(The Crimson Swallow of\x01",
            "Taito...)\x02",
        )
    )

    CloseMessageWindow()

    label("loc_565C")

    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x9)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_56CA")

    #C0163

    ChrTalk(
        0x10A,
        (
            "#00601F#11PThe section chief of the\x01",
            "Rocksmith Agency... She\x01",
            "was still in Crossbell?\x02",
        )
    )

    CloseMessageWindow()
    Jump("loc_5742")

    label("loc_56CA")

    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x4)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_5742")

    #C0164

    ChrTalk(
        0x105,
        (
            "#10403F#11PThe Calvardian\x01",
            "intelligence agency\x01",
            "lady?\x02\x03",

            "#10400FTo think she was still\x01",
            "in Crossbell...\x02",
        )
    )

    CloseMessageWindow()

    label("loc_5742")


    #C0165

    ChrTalk(
        0x109,
        (
            "#10101F#5PB-But how is she\x01",
            "contacting us here!?\x02",
        )
    )

    CloseMessageWindow()

    #C0166

    ChrTalk(
        0x102,
        (
            "#11P#00101F...Has she caught on to\x01",
            "all of our movements?\x02",
        )
    )

    CloseMessageWindow()
    SetMessageWindowPos(30, 150, -1, -1)
    SetChrName("Kilika's Voice")

    #A0167

    AnonymousTalk(
        0xFF,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x5),
            "I only predicted how you\x01",
            "would act in a situation\x01",
            "like this.\x02\x03",

            "You're busy and I apologize\x01",
            "for taking up your valuable\x01",
            "time, however...\x02\x03",

            "Would you feel inclined to\x01",
            "do an \"information\x01",
            "exchange\"?\x07\x00\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    SetMessageWindowPos(14, 280, 60, 3)

    #C0168

    ChrTalk(
        0x101,
        "#12P#00008FThat's...\x02",
    )

    CloseMessageWindow()
    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x9)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_597B")

    #C0169

    ChrTalk(
        0x10A,
        (
            "#00603F#11P(...Bannings. You\x01",
            "decide.)\x02\x03",

            "#00601F(Section One hasn't\x01",
            "formed a connection with\x01",
            "her, yet.)\x02",
        )
    )

    CloseMessageWindow()

    #C0170

    ChrTalk(
        0x101,
        "#12P#00003F#11P(...Understood.)\x02",
    )

    CloseMessageWindow()
    OP_63(0x101, 0x0, 1700, 0x18, 0x1B, 0xFA, 0x0)
    Sleep(1500)
    OP_64(0x101)
    Jump("loc_5993")

    label("loc_597B")

    OP_63(0x101, 0x0, 1700, 0x18, 0x1B, 0xFA, 0x0)
    Sleep(1500)
    OP_64(0x101)

    label("loc_5993")


    #C0171

    ChrTalk(
        0x101,
        (
            "#12P#00006F─All right, Kilika.\x02\x03",

            "#00001FWhere should we go?\x02",
        )
    )

    CloseMessageWindow()
    SetMessageWindowPos(30, 150, -1, -1)
    SetChrName("Kilika's Voice")

    #A0172

    AnonymousTalk(
        0xFF,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x5),
            "Crossbell Station, 2nd\x01",
            "car of the train stopped\x01",
            "at platform No. 3.\x02\x03",

            "There's no one at the\x01",
            "station, so don't worry.\x07\x00\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    SetMessageWindowPos(14, 280, 60, 3)

    #C0173

    ChrTalk(
        0x101,
        (
            "#12P#00004FUnderstood. The 2nd car\x01",
            "of the train at platform\x01",
            "No. 3...\x02\x03",

            "#00013FBy the way... Is Lechter\x01",
            "there too?\x02",
        )
    )

    CloseMessageWindow()
    SetMessageWindowPos(30, 150, -1, -1)
    SetChrName("Kilika's Voice")

    #A0174

    AnonymousTalk(
        0xFF,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x5),
            "Hehe, how insightful.\x01",
            "─Then, we'll be waiting.\x07\x00\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    SetMessageWindowPos(14, 280, 60, 3)
    Sound(899, 0, 80, 0)
    Sleep(500)

    #C0175

    ChrTalk(
        0x103,
        (
            "#12P#00211F...Clairvoyant as\x01",
            "always...\x02",
        )
    )

    CloseMessageWindow()

    #C0176

    ChrTalk(
        0x102,
        (
            "#11P#00108FAnd it seems that\x01",
            "Captain Lechter is with\x01",
            "her as well...\x02",
        )
    )

    CloseMessageWindow()

    #C0177

    ChrTalk(
        0x104,
        (
            "#11P#00306FWell, we have no choice\x01",
            "but to go.\x02",
        )
    )

    CloseMessageWindow()

    #C0178

    ChrTalk(
        0x101,
        (
            "#12P#00001FYeah... Let's head to\x01",
            "Crossbell Station.\x02",
        )
    )

    CloseMessageWindow()

    #C0179

    ChrTalk(
        0x109,
        "#10101F#5PRoger that!\x02",
    )

    CloseMessageWindow()
    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x5)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_5C9F")

    #C0180

    ChrTalk(
        0x106,
        (
            "#10701F#11P...Let's prepare in case\x01",
            "something happens.\x02",
        )
    )

    CloseMessageWindow()
    Jump("loc_5D4A")

    label("loc_5C9F")

    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x4)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_5CFC")

    #C0181

    ChrTalk(
        0x105,
        (
            "#10404F#11PJust in case, it might\x01",
            "be best to prepare\x01",
            "before going.\x02",
        )
    )

    CloseMessageWindow()
    Jump("loc_5D4A")

    label("loc_5CFC")

    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x9)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_5D4A")

    #C0182

    ChrTalk(
        0x10A,
        (
            "#00603F#11PJust in case, we'd best\x01",
            "prepare before going.\x02",
        )
    )

    CloseMessageWindow()

    label("loc_5D4A")

    Jump("loc_6B7C")

    label("loc_5D4F")

    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x5)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_5DFD")

    #C0183

    ChrTalk(
        0x106,
        (
            "#10702F#11PWow... It's my first\x01",
            "time riding in it. It\x01",
            "has a lovely interior.\x02",
        )
    )

    CloseMessageWindow()

    #C0184

    ChrTalk(
        0x101,
        "#00009F#5PHaha, thanks.\x02",
    )

    CloseMessageWindow()

    #C0185

    ChrTalk(
        0x103,
        (
            "#12P#00202FKeA liked this car too,\x01",
            "right?\x02",
        )
    )

    CloseMessageWindow()

    label("loc_5DFD")

    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x9)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_5F43")

    #C0186

    ChrTalk(
        0x10A,
        (
            "#11P#00605FHmm, the ZCF's newest orbal\x01",
            "car, eh?\x02\x03",

            "#00603FIt seems quite easy to use.\x01",
            "I was thinking of using them\x01",
            "at Section One too, but...\x02",
        )
    )

    CloseMessageWindow()

    #C0187

    ChrTalk(
        0x102,
        (
            "#12P#00106FConsidering the situation across the\x01",
            "continent, I think it might be\x01",
            "difficult to import them from Liberl...\x02",
        )
    )

    CloseMessageWindow()
    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x4)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_5F43")

    #C0188

    ChrTalk(
        0x105,
        "#10403FHmm, indeed.\x02",
    )

    CloseMessageWindow()

    label("loc_5F43")

    OP_63(0x101, 0x0, 1700, 0x18, 0x1B, 0xFA, 0x0)
    Sleep(1500)
    OP_64(0x101)

    #C0189

    ChrTalk(
        0x101,
        (
            "#00004F#5P─Its design is good too\x01",
            "and it seems to run\x01",
            "without problems.\x02\x03",

            "#00000FWhen we do the real break\x01",
            "in, I think it's best to\x01",
            "leave the driving to Noel.\x02",
        )
    )

    CloseMessageWindow()

    #C0190

    ChrTalk(
        0x104,
        (
            "#11P#00302FWell, she's a pro after\x01",
            "all.\x02",
        )
    )

    CloseMessageWindow()

    #C0191

    ChrTalk(
        0x103,
        (
            "#12P#00203FWe've confirmed it can\x01",
            "be used for ramming...\x02\x03",

            "#00200FShould we go back to\x01",
            "chief and the others for\x01",
            "now?\x02",
        )
    )

    CloseMessageWindow()

    #C0192

    ChrTalk(
        0x102,
        (
            "#12P#00103FRight, I'd like to hear\x01",
            "the final plans as\x01",
            "well...\x02",
        )
    )

    CloseMessageWindow()
    Sound(867, 0, 80, 0)
    Sleep(300)
    OP_63(0x101, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    SetChrSubChip(0x101, 0x1)
    OP_63(0x102, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(50)
    OP_63(0xF4, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    OP_63(0xF5, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(50)
    OP_63(0x104, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    OP_63(0x103, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(1000)

    #C0193

    ChrTalk(
        0x101,
        "#00005F#5PThis is...\x02",
    )

    CloseMessageWindow()
    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x9)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_6205")

    #C0194

    ChrTalk(
        0x10A,
        (
            "#11P#00601FThe on-board\x01",
            "communication device. A\x01",
            "call is coming in.\x02",
        )
    )

    CloseMessageWindow()
    Jump("loc_6253")

    label("loc_6205")


    #C0195

    ChrTalk(
        0x104,
        (
            "#11P#00301FIt's the on-board\x01",
            "communicator. Seems to\x01",
            "be a call coming in.\x02",
        )
    )

    CloseMessageWindow()

    label("loc_6253")


    #C0196

    ChrTalk(
        0x102,
        "#12P#00108F...Lloyd, what do we do?\x02",
    )

    CloseMessageWindow()

    #C0197

    ChrTalk(
        0x101,
        (
            "#00006F#5PYeah... Let's turn it on\x01",
            "for now.\x02\x03",

            "#00013FEveryone, don't raise\x01",
            "your voices, just in\x01",
            "case.\x02",
        )
    )

    CloseMessageWindow()
    StopBGM(0xBB8)
    Sleep(500)
    Sound(853, 0, 100, 0)
    Sleep(300)
    Sound(899, 0, 50, 0)
    SetMessageWindowPos(30, 150, -1, -1)
    SetChrName("Woman's Voice")

    #A0198

    AnonymousTalk(
        0xFF,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x5),
            "─It's been a long time,\x01",
            "Special Support Section.\x02\x03",

            "It's Kilika. Kilika\x01",
            "Rouran.\x07\x00\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    SetMessageWindowPos(14, 280, 60, 3)
    OP_63(0x101, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    OP_63(0x102, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(50)
    OP_63(0xF4, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    OP_63(0xF5, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(50)
    OP_63(0x104, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    OP_63(0x103, 0x0, 1700, 0x2, 0x7, 0x50, 0x1)
    Sound(28, 0, 100, 0)
    Sleep(1000)
    WaitBGM()
    Sleep(10)
    PlayBGM("ed7516", 0)

    #C0199

    ChrTalk(
        0x101,
        "#00011F#5PHuh!?\x02",
    )

    CloseMessageWindow()

    #C0200

    ChrTalk(
        0x104,
        "#11P#00307FKilika!?\x02",
    )

    CloseMessageWindow()
    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x5)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_648A")

    #C0201

    ChrTalk(
        0x106,
        (
            "#10701F#11P(The Crimson Swallow of\x01",
            "Taito...)\x02",
        )
    )

    CloseMessageWindow()

    label("loc_648A")

    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x9)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_64F8")

    #C0202

    ChrTalk(
        0x10A,
        (
            "#11P#00601FThe section chief of the\x01",
            "Rocksmith Agency... She\x01",
            "was still in Crossbell?\x02",
        )
    )

    CloseMessageWindow()
    Jump("loc_6570")

    label("loc_64F8")

    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x4)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_6570")

    #C0203

    ChrTalk(
        0x105,
        (
            "#11P#10403FThe Calvardian\x01",
            "intelligence agency\x01",
            "lady?\x02\x03",

            "#10400FTo think she was still\x01",
            "in Crossbell...\x02",
        )
    )

    CloseMessageWindow()

    label("loc_6570")


    #C0204

    ChrTalk(
        0x102,
        (
            "#12P#00101F...Has she caught on to\x01",
            "all of our movements?\x02",
        )
    )

    CloseMessageWindow()
    SetMessageWindowPos(30, 150, -1, -1)
    SetChrName("Kilika's Voice")

    #A0205

    AnonymousTalk(
        0xFF,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x5),
            "I only predicted how you\x01",
            "would act in a situation\x01",
            "like this.\x02\x03",

            "You're busy and I apologize\x01",
            "for taking up your valuable\x01",
            "time, however...\x02\x03",

            "Would you feel inclined to\x01",
            "do an \"information\x01",
            "exchange\"?\x07\x00\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    SetMessageWindowPos(14, 280, 60, 3)

    #C0206

    ChrTalk(
        0x101,
        "#00008F#5PIsn't that...\x02",
    )

    CloseMessageWindow()
    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x9)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_6772")

    #C0207

    ChrTalk(
        0x10A,
        (
            "#11P#00603F(...Bannings. You\x01",
            "decide.)\x02\x03",

            "#00601F(Section One hasn't\x01",
            "formed a connection with\x01",
            "her, yet.)\x02",
        )
    )

    CloseMessageWindow()

    #C0208

    ChrTalk(
        0x101,
        "#00003F#5P(...Understood.)\x02",
    )

    CloseMessageWindow()
    OP_63(0x101, 0x0, 1700, 0x18, 0x1B, 0xFA, 0x0)
    Sleep(1500)
    OP_64(0x101)
    Jump("loc_678A")

    label("loc_6772")

    OP_63(0x101, 0x0, 1700, 0x18, 0x1B, 0xFA, 0x0)
    Sleep(1500)
    OP_64(0x101)

    label("loc_678A")


    #C0209

    ChrTalk(
        0x101,
        (
            "#00006F#5P─All right, Kilika.\x02\x03",

            "#00001FWhere should we go?\x02",
        )
    )

    CloseMessageWindow()
    SetMessageWindowPos(30, 150, -1, -1)
    SetChrName("Kilika's Voice")

    #A0210

    AnonymousTalk(
        0xFF,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x5),
            "Crossbell Station, 2nd\x01",
            "car of the train stopped\x01",
            "at platform No. 3.\x02\x03",

            "There's no one at the\x01",
            "station, so don't worry.\x07\x00\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    SetMessageWindowPos(14, 280, 60, 3)

    #C0211

    ChrTalk(
        0x101,
        (
            "#00004F#5PUnderstood. The 2nd car\x01",
            "of the train at platform\x01",
            "No. 3...\x02\x03",

            "#00013FBy the way... Is Lechter\x01",
            "there too?\x02",
        )
    )

    CloseMessageWindow()
    SetMessageWindowPos(30, 150, -1, -1)
    SetChrName("Kilika's Voice")

    #A0212

    AnonymousTalk(
        0xFF,
        (
            scpstr(SCPSTR_CODE_COLOR, 0x5),
            "Hehe, how insightful.\x01",
            "─Then, we'll be waiting.\x07\x00\x02",
        )
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    SetMessageWindowPos(14, 280, 60, 3)
    Sound(899, 0, 80, 0)
    Sleep(500)

    #C0213

    ChrTalk(
        0x103,
        (
            "#12P#00211F...Clairvoyant as\x01",
            "always...\x02",
        )
    )

    CloseMessageWindow()

    #C0214

    ChrTalk(
        0x102,
        (
            "#12P#00108FAnd it seems that\x01",
            "Captain Lechter is with\x01",
            "her as well...\x02",
        )
    )

    CloseMessageWindow()

    #C0215

    ChrTalk(
        0x104,
        (
            "#11P#00306FWell, we have no choice\x01",
            "but to go.\x02",
        )
    )

    CloseMessageWindow()

    #C0216

    ChrTalk(
        0x101,
        (
            "#00001F#5PYeah... Let's head to\x01",
            "Crossbell Station.\x02",
        )
    )

    CloseMessageWindow()
    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x9)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_6A53")

    #C0217

    ChrTalk(
        0x10A,
        "#11P#00603FRoger.\x02",
    )

    CloseMessageWindow()
    Jump("loc_6A80")

    label("loc_6A53")

    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x4)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_6A80")

    #C0218

    ChrTalk(
        0x105,
        "#11P#10404FHehe, roger.\x02",
    )

    CloseMessageWindow()

    label("loc_6A80")

    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x5)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_6AD1")

    #C0219

    ChrTalk(
        0x106,
        (
            "#10701F#11P...Let's prepare in case\x01",
            "something happens.\x02",
        )
    )

    CloseMessageWindow()
    Jump("loc_6B7C")

    label("loc_6AD1")

    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x4)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_6B2E")

    #C0220

    ChrTalk(
        0x105,
        (
            "#10402F#11PJust in case, it might\x01",
            "be best to prepare\x01",
            "before going.\x02",
        )
    )

    CloseMessageWindow()
    Jump("loc_6B7C")

    label("loc_6B2E")

    Jc((scpexpr(EXPR_EXEC_OP, "GetPartyIndex(0x9)"), scpexpr(EXPR_PUSH_LONG, 0x1), scpexpr(EXPR_NEG), scpexpr(EXPR_GTR), scpexpr(EXPR_END)), "loc_6B7C")

    #C0221

    ChrTalk(
        0x10A,
        (
            "#00601F#11PJust in case, we'd best\x01",
            "prepare before going.\x02",
        )
    )

    CloseMessageWindow()

    label("loc_6B7C")

    FadeToDark(1000, 0, -1)
    SetCameraDistance(14300, 2000)
    OP_6F(0x79)
    OP_0D()
    SetChrChipByIndex(0x101, 0xFF)
    SetChrSubChip(0x101, 0x0)
    SetChrChipByIndex(0x102, 0xFF)
    SetChrSubChip(0x102, 0x0)
    SetChrChipByIndex(0x103, 0xFF)
    SetChrSubChip(0x103, 0x0)
    SetChrChipByIndex(0x104, 0xFF)
    SetChrSubChip(0x104, 0x0)
    SetChrChipByIndex(0xF4, 0xFF)
    SetChrSubChip(0xF4, 0x0)
    SetChrChipByIndex(0xF5, 0xFF)
    SetChrSubChip(0xF5, 0x0)
    ClearChrFlags(0x101, 0x4)
    ClearChrFlags(0x102, 0x4)
    ClearChrFlags(0x103, 0x4)
    ClearChrFlags(0x104, 0x4)
    ClearChrFlags(0xF4, 0x4)
    ClearChrFlags(0xF5, 0x4)
    SetChrFlags(0x101, 0x1)
    SetChrFlags(0x102, 0x1)
    SetChrFlags(0x103, 0x1)
    SetChrFlags(0x104, 0x1)
    SetChrFlags(0xF4, 0x1)
    SetChrFlags(0xF5, 0x1)
    OP_37()
    SetScenarioFlags(0x1A5, 5)
    OP_29(0xB1, 0x1, 0x8)
    StopBGM(0xFA0)
    WaitBGM()
    Sleep(10)
    PlayBGM("ed7573", 0)
    EventEnd(0x5)
    NewScene("c0200", 113, 0, 0)
    IdleLoop()
    Return()

    # Function_12_4BDC end

    def Function_13_6C21(): pass

    label("Function_13_6C21")

    EventBegin(0x0)
    FadeToDark(0, 0, -1)
    Call(0, 15)
    BeginChrThread(0x101, 3, 0, 2)
    SoundLoad(468)
    OP_7D(0xB4, 0xB4, 0xB4, 0x0, 0x0)
    SetMapObjFlags(0x1, 0x4)
    SetMapObjFlags(0x2, 0x4)
    SetMapObjFlags(0x6, 0x4)
    SetMapObjFlags(0x7, 0x4)
    SetMapObjFlags(0x8, 0x4)
    SetMapObjFlags(0x9, 0x4)
    SetMapObjFlags(0xA, 0x4)
    SetMapObjFlags(0x3, 0x4)
    SetMapObjFlags(0xB, 0x4)
    SetMapObjFrame(0xFF, "side01", 0x0, 0x1)
    Sound(468, 2, 100, 0)
    FadeToBright(1000, 0)
    OP_0D()
    Jc((scpexpr(EXPR_TEST_SCENA_FLAGS, MakeScenarioFlags(0x178, 5)), scpexpr(EXPR_EQUZ), scpexpr(EXPR_END)), "loc_6D86")

    #C0222

    ChrTalk(
        0x103,
        "#00211FThey got away from us...\x02",
    )

    CloseMessageWindow()

    #C0223

    ChrTalk(
        0x102,
        (
            "#00106FW-Well... I think it's\x01",
            "better to be safe than\x01",
            "sorry, but...\x02",
        )
    )

    CloseMessageWindow()

    #C0224

    ChrTalk(
        0x109,
        "#10106F(Oooh...)\x02",
    )

    CloseMessageWindow()

    #C0225

    ChrTalk(
        0x101,
        (
            "#00003F(Was that an error in\x01",
            "judgment?)\x02\x03",

            "#00007F...A-Anyway, let's\x01",
            "continue the pursuit!\x02",
        )
    )

    CloseMessageWindow()
    Jump("loc_6F15")

    label("loc_6D86")


    #C0226

    ChrTalk(
        0x103,
        (
            "#00205FEven with poor road conditions in\x01",
            "the rain, to think you'd take that\x01",
            "curve at such a high speed...\x02",
        )
    )

    CloseMessageWindow()

    #C0227

    ChrTalk(
        0x102,
        (
            "#00109FB-But isn't that a\x01",
            "little dangerous...?\x02",
        )
    )

    CloseMessageWindow()

    #C0228

    ChrTalk(
        0x109,
        (
            "#10102FHehe. In this level of\x01",
            "rain, it's a piece of\x01",
            "cake!\x02\x03",

            "#10107FThat reckless driver...\x01",
            "I'll never let them get\x01",
            "away!\x02",
        )
    )

    CloseMessageWindow()
    SetChrSubChip(0x101, 0x2)

    #C0229

    ChrTalk(
        0x101,
        (
            "#00012FS-Somehow you're really\x01",
            "into this...\x02",
        )
    )

    CloseMessageWindow()
    SetChrSubChip(0x101, 0x0)

    #C0230

    ChrTalk(
        0x101,
        (
            "#00001F...A-Anyway, let's\x01",
            "continue the pursuit!\x02",
        )
    )

    CloseMessageWindow()
    OP_5A()

    label("loc_6F15")

    Sound(494, 0, 70, 0)
    OP_68(101440, 650, -16510, 3000)
    MoveCamera(311, 29, 0, 3000)
    OP_6E(600, 3000)
    SetCameraDistance(11280, 3000)
    Sleep(1000)
    StopSound(468, 1000, 100)
    StopSound(494, 1000, 60)
    FadeToDark(1000, 0, -1)
    OP_0D()
    ClearChrFlags(0x101, 0x4)
    ClearChrFlags(0x102, 0x4)
    ClearChrFlags(0x109, 0x4)
    ClearChrFlags(0x105, 0x4)
    ClearChrFlags(0x104, 0x4)
    ClearChrFlags(0x103, 0x4)
    ClearScenarioFlags(0x178, 5)
    SetScenarioFlags(0x22, 5)
    NewScene("r1010", 0, 0, 0)
    IdleLoop()
    Return()

    # Function_13_6C21 end

    def Function_14_6F91(): pass

    label("Function_14_6F91")

    EventBegin(0x0)
    FadeToDark(0, 0, -1)
    Call(0, 15)
    BeginChrThread(0x101, 3, 0, 2)
    SoundLoad(468)
    OP_7D(0xB4, 0xB4, 0xB4, 0x0, 0x0)
    SetMapObjFlags(0x1, 0x4)
    SetMapObjFlags(0x2, 0x4)
    SetMapObjFlags(0x6, 0x4)
    SetMapObjFlags(0x7, 0x4)
    SetMapObjFlags(0x8, 0x4)
    SetMapObjFlags(0x9, 0x4)
    SetMapObjFlags(0xA, 0x4)
    SetMapObjFlags(0x3, 0x4)
    SetMapObjFlags(0xB, 0x4)
    SetMapObjFrame(0xFF, "side01", 0x0, 0x1)
    Sound(468, 2, 100, 0)
    FadeToBright(1000, 0)
    OP_0D()

    #C0231

    ChrTalk(
        0x109,
        (
            "#10110FUgh... They're pretty\x01",
            "good.\x02",
        )
    )

    CloseMessageWindow()

    #C0232

    ChrTalk(
        0x101,
        (
            "#00003FYeah...\x02\x03",

            "#00000FBut if we keep going like this, the\x01",
            "pincer attack with the Patrol Division on\x01",
            "standby at the west gate could go well.\x02",
        )
    )

    CloseMessageWindow()
    OP_63(0x105, 0x0, 2000, 0x26, 0x26, 0xFA, 0x1)
    Sleep(100)

    #C0233

    ChrTalk(
        0x105,
        (
            "#10305FHmm...?\x02\x03",

            "Isn't that car acting\x01",
            "weird somehow?\x02",
        )
    )

    CloseMessageWindow()

    #C0234

    ChrTalk(
        0x101,
        "#00005FHuh...\x02",
    )

    CloseMessageWindow()
    OP_5A()
    StopSound(468, 500, 100)
    SetScenarioFlags(0x22, 6)
    NewScene("r1010", 0, 0, 0)
    IdleLoop()
    Return()

    # Function_14_6F91 end

    def Function_15_7136(): pass

    label("Function_15_7136")

    LoadChrToIndex("chr/ch00002.itc", 0x1E)
    LoadChrToIndex("chr/ch00102.itc", 0x1F)
    LoadChrToIndex("apl/ch51104.itc", 0x20)
    LoadChrToIndex("chr/ch03002.itc", 0x21)
    LoadChrToIndex("chr/ch00302.itc", 0x22)
    LoadChrToIndex("chr/ch00202.itc", 0x23)
    OP_68(100490, 650, -450, 0)
    MoveCamera(311, 29, 0, 0)
    OP_6E(600, 0)
    SetCameraDistance(13160, 0)
    SetChrChipByIndex(0x101, 0x1E)
    SetChrSubChip(0x101, 0x0)
    SetChrChipByIndex(0x102, 0x1F)
    SetChrSubChip(0x102, 0x0)
    SetChrChipByIndex(0x109, 0x20)
    SetChrSubChip(0x109, 0x0)
    SetChrChipByIndex(0x105, 0x21)
    SetChrSubChip(0x105, 0x0)
    SetChrChipByIndex(0x104, 0x22)
    SetChrSubChip(0x104, 0x0)
    SetChrChipByIndex(0x103, 0x23)
    SetChrSubChip(0x103, 0x0)
    SetChrFlags(0x101, 0x4)
    SetChrFlags(0x102, 0x4)
    SetChrFlags(0x109, 0x4)
    SetChrFlags(0x105, 0x4)
    SetChrFlags(0x104, 0x4)
    SetChrFlags(0x103, 0x4)
    ClearChrFlags(0x101, 0x1)
    ClearChrFlags(0x102, 0x1)
    ClearChrFlags(0x109, 0x1)
    ClearChrFlags(0x105, 0x1)
    ClearChrFlags(0x104, 0x1)
    ClearChrFlags(0x103, 0x1)
    SetChrPos(0x101, 99000, 100, 1600, 0)
    SetChrPos(0x102, 99000, 100, 40, 0)
    SetChrPos(0x109, 101100, 100, 1600, 0)
    SetChrPos(0x105, 101100, 100, 40, 0)
    SetChrPos(0x104, 99000, 100, -1420, 0)
    SetChrPos(0x103, 101100, 100, -1420, 0)
    ClearChrFlags(0x4, 0x80)
    ClearChrBattleFlags(0x4, 0x8000)
    ClearChrFlags(0x5, 0x80)
    ClearChrBattleFlags(0x5, 0x8000)
    Return()

    # Function_15_7136 end

    def Function_16_726F(): pass

    label("Function_16_726F")

    EventBegin(0x0)
    FadeToDark(0, 0, -1)
    LoadChrToIndex("chr/ch00002.itc", 0x1E)
    LoadChrToIndex("chr/ch00102.itc", 0x1F)
    LoadChrToIndex("apl/ch51104.itc", 0x20)
    LoadChrToIndex("chr/ch03002.itc", 0x21)
    LoadChrToIndex("chr/ch00302.itc", 0x22)
    LoadChrToIndex("chr/ch00202.itc", 0x23)
    SoundLoad(468)
    SoundLoad(469)
    OP_68(-500, 650, 500, 0)
    MoveCamera(324, 15, 0, 0)
    OP_6E(600, 0)
    SetCameraDistance(13750, 0)
    SetChrChipByIndex(0x101, 0x1E)
    SetChrSubChip(0x101, 0x0)
    EndChrThread(0x101, 0x0)
    SetChrBattleFlags(0x101, 0x4)
    SetChrChipByIndex(0x102, 0x1F)
    SetChrSubChip(0x102, 0x0)
    EndChrThread(0x102, 0x0)
    SetChrBattleFlags(0x102, 0x4)
    SetChrChipByIndex(0x109, 0x20)
    SetChrSubChip(0x109, 0x0)
    EndChrThread(0x109, 0x0)
    SetChrBattleFlags(0x109, 0x4)
    SetChrChipByIndex(0x105, 0x21)
    SetChrSubChip(0x105, 0x0)
    EndChrThread(0x105, 0x0)
    SetChrBattleFlags(0x105, 0x4)
    SetChrChipByIndex(0x104, 0x22)
    SetChrSubChip(0x104, 0x0)
    EndChrThread(0x104, 0x0)
    SetChrBattleFlags(0x104, 0x4)
    SetChrChipByIndex(0x103, 0x23)
    SetChrSubChip(0x103, 0x0)
    EndChrThread(0x103, 0x0)
    SetChrBattleFlags(0x103, 0x4)
    SetChrFlags(0x101, 0x4)
    SetChrFlags(0x102, 0x4)
    SetChrFlags(0x109, 0x4)
    SetChrFlags(0x105, 0x4)
    SetChrFlags(0x104, 0x4)
    SetChrFlags(0x103, 0x4)
    ClearChrFlags(0x101, 0x1)
    ClearChrFlags(0x102, 0x1)
    ClearChrFlags(0x109, 0x1)
    ClearChrFlags(0x105, 0x1)
    ClearChrFlags(0x104, 0x1)
    ClearChrFlags(0x103, 0x1)
    SetChrPos(0x101, 1300, 100, -1900, 180)
    SetChrPos(0x102, -800, 100, -400, 180)
    SetChrPos(0x109, -800, 100, -1700, 180)
    SetChrPos(0x105, 1300, 100, -400, 180)
    SetChrPos(0x104, -800, 100, 1100, 180)
    SetChrPos(0x103, 1300, 100, 1100, 180)
    ClearChrFlags(0x4, 0x80)
    ClearChrBattleFlags(0x4, 0x8000)
    ClearChrFlags(0x5, 0x80)
    ClearChrBattleFlags(0x5, 0x8000)
    SetMapObjFlags(0x0, 0x4)
    SetMapObjFlags(0x1, 0x4)
    SetMapObjFlags(0x2, 0x4)
    SetMapObjFlags(0x3, 0x4)
    ClearMapObjFlags(0x4, 0x4)
    SetMapObjFlags(0x5, 0x4)
    SetMapObjFlags(0x6, 0x4)
    SetMapObjFlags(0x7, 0x4)
    SetMapObjFlags(0x8, 0x4)
    SetMapObjFlags(0x9, 0x4)
    SetMapObjFlags(0xA, 0x4)
    SetMapObjFlags(0xB, 0x4)
    SetMapObjFrame(0xFF, "side01", 0x0, 0x1)
    Sound(468, 2, 100, 0)
    Sound(469, 2, 60, 0)
    BeginChrThread(0x101, 3, 0, 2)
    FadeToBright(1000, 0)
    OP_0D()

    #C0235

    ChrTalk(
        0x101,
        (
            "#00010FDamn, his grenades are\x01",
            "holding us back and we\x01",
            "can't get close...\x02",
        )
    )

    CloseMessageWindow()

    #C0236

    ChrTalk(
        0x109,
        (
            "#10106FOhh, I don't want to\x01",
            "lose to him on driving\x01",
            "skills, but...\x02",
        )
    )

    CloseMessageWindow()

    #C0237

    ChrTalk(
        0x103,
        (
            "#00201F...If he reaches Altair\x01",
            "City, it'll be a bother.\x02",
        )
    )

    CloseMessageWindow()

    #C0238

    ChrTalk(
        0x102,
        (
            "#00103FI think it'd be almost\x01",
            "impossible to arrest him\x01",
            "in that case...\x02",
        )
    )

    CloseMessageWindow()

    #C0239

    ChrTalk(
        0x104,
        "#00310FTch... This looks bad.\x02",
    )

    CloseMessageWindow()

    #C0240

    ChrTalk(
        0x101,
        (
            "#00001FAnyway... We need only\x01",
            "chase him without giving\x01",
            "up!\x02\x03",

            "#00007FNoel, please! Stick\x01",
            "close so he can't shake\x01",
            "us off!\x02",
        )
    )

    CloseMessageWindow()

    #C0241

    ChrTalk(
        0x109,
        "#10107FYes, sir!\x02",
    )

    CloseMessageWindow()
    OP_63(0x105, 0x0, 1700, 0x26, 0x26, 0xFA, 0x1)
    Sleep(1000)

    #C0242

    ChrTalk(
        0x105,
        "#10305F...Oh...?\x02",
    )

    CloseMessageWindow()
    OP_57(0x0)
    OP_5A()
    StopSound(468, 300, 90)
    StopSound(469, 300, 50)
    SetScenarioFlags(0x22, 3)
    NewScene("e4101", 0, 0, 0)
    IdleLoop()
    Return()

    # Function_16_726F end

    SaveToFile()

Try(main)
